<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.ManageCoupons" Codebehind="ManageCoupons.ascx.cs" %>

<link type="text/css" href='<%= ResolveUrl("~/DesktopModules/SmithCommon/css/scDateTime.css") %>' rel="stylesheet" />
<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDateTime.js") %>'></script>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />
      
<h2><asp:Label ID="lblCouponTitle" runat="server" Text="Manage Coupons" /><asp:Label ID="lblCouponName" runat="server" /></h2>

<asp:MultiView runat="server" ID="mvMain">

<%-- *** Manage Coupon Grid *** --%>

    <asp:View ID="viewCouponSetup" runat="Server">

        <div><asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" /></div>

    <table width="100%">
          <tr>
            <td align="left">
                <asp:LinkButton ID="btnShowAddScreen" runat="server" onclick="btnShowAddScreen_Click" Text="Add Coupon" CausesValidation="false" CssClass="dnnPrimaryAction" />
            </td>
            <td align="right"></td>
        </tr>
	
        <tr>
            <td colspan="2" align="center">
                <asp:GridView ID="grdCoupons" runat="server" DataKeyNames="CouponID" AllowSorting="true" AutoGenerateColumns="false" Width="100%" GridLines="None"
                    OnRowDeleting="grdCoupons_RowDeleting" OnRowCreated="grdCoupons_RowCreated" OnSorting="grdCoupons_Sorting" PageSize="50"
                     CssClass="scAdminGrid2" AlternatingRowStyle-CssClass="alt">
                      
                    <Columns>
                        <asp:TemplateField ItemStyle-CssClass="GridCellsLeft">
                            <ItemTemplate>
                                <asp:LinkButton ID="lkUpdate" runat="server" OnClick="lkUpdate_Edit" CausesValidation="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/edit.png") %>' /></asp:LinkButton>
                            </ItemTemplate>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Coupon Code" SortExpression="CouponCode" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblCouponCode" runat="server" Text='<%#Eval("CouponCode") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                    
                        <asp:TemplateField HeaderText="Coupon Name" SortExpression="CouponName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblCouponName" runat="server" Text='<%#Eval("CouponName") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                    
                        <asp:TemplateField HeaderText="Coupon Amount" SortExpression="CouponAmount" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblCouponAmount" runat="server" Text='<%#Eval("CouponAmount","{0:f}") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                    
                         <asp:TemplateField HeaderText="Discount Percentage" SortExpression="discountpercent" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblDiscountPercent" runat="server" Text='<%#Eval("DiscountPercent") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        
                        <asp:CommandField ShowDeleteButton="True" ButtonType="Image" DeleteImageUrl="~/DesktopModules/SmithRegistration/Images/trash.png" ItemStyle-CssClass="GridCellsRight"/>
                    </Columns>

                    <EmptyDataTemplate>
                        <asp:Label ID="Label1" runat="server" Text="No Coupons Added Yet." />
                    </EmptyDataTemplate>

                </asp:GridView>
            </td>
        </tr>
        <tr>
            <td align="center" colspan="2">
                <asp:LinkButton ID="lbFirst" runat="server" OnClick="lbFirst_Click" CssClass="scMyAcctBtn">First</asp:LinkButton>
                <asp:LinkButton ID="lbPrev" runat="server" OnClick="lbPrev_Click" CssClass="scMyAcctBtn">Prev</asp:LinkButton>
                <asp:Label ID="lblResult" runat="server"></asp:Label>
                <asp:LinkButton ID="lbNext" runat="server" OnClick="lbNext_Click" CssClass="scMyAcctBtn">Next</asp:LinkButton>
                <asp:LinkButton ID="lbLast" runat="server" OnClick="lbLast_Click" CssClass="scMyAcctBtn">Last</asp:LinkButton>&nbsp;&nbsp;&nbsp;
                 Records:<asp:DropDownList ID="ddlRecords" runat="server" Width="57px" OnSelectedIndexChanged="ddlRecords_SelectedIndexChanged"
                    AutoPostBack="True">
                    <asp:ListItem>25</asp:ListItem>
                    <asp:ListItem>50</asp:ListItem>
                    <asp:ListItem>100</asp:ListItem>
                    <asp:ListItem>200</asp:ListItem>
                </asp:DropDownList>
        </tr>

    </table>

    </asp:View>

    <%-- *** Add/Edit Coupons *** --%>

    <asp:View ID="viewAddCoupon" runat="server">

<table cellpadding="5" width="100%" border="0">
    
    <tr><td colspan="2"><asp:Label ID="lblWarning" runat="server" CssClass="SmithRequiredText" /></td></tr>
    <tr>
        <td  align="left" >Coupon Code:</td>
        <td  align="left" >
            <asp:TextBox ID="txtCouponCode" runat="server" width="95%" CssClass="tLimitSize250" MaxLength="50" />
            <asp:RequiredFieldValidator ID="rfvtxtCouponCode" runat="server" ControlToValidate="txtCouponCode" ErrorMessage="*Required" Display="Dynamic" />
        </td>
    </tr>
     <tr><td></td></tr>
    <tr>
        <td  align="left">Coupon Name:</td>
        <td align="left">
            <asp:TextBox ID="txtCouponName" runat="server" width="95%" CssClass="tLimitSize350" MaxLength="50" />
            <asp:RequiredFieldValidator ID="rfvtxtCouponName" runat="server" ControlToValidate="txtCouponName" ErrorMessage="*Required" Display="Dynamic" />
        </td>
    </tr>
     <tr><td></td></tr>
    <tr align="left">
        <td style="width:25%; white-space:nowrap;">Coupon Amount:</td>
        <td>
            <asp:TextBox ID="txtCouponAmount" runat="server" width="80%" CssClass="tLimitSize150" MaxLength="7" />
            <%--<asp:RequiredFieldValidator ID="rfvtxtCouponAmount" runat="server" ControlToValidate="txtCouponAmount" ErrorMessage="*Required" Display="Dynamic" />--%>
            <asp:RegularExpressionValidator ID="revtxtCouponAmount" runat="server" ControlToValidate="txtCouponAmount" ValidationExpression="^\d{1,5}(\.\d{0,2})?$" ErrorMessage="*Invalid" Display="Dynamic" />
        </td>
    </tr>
    
    <tr><td></td></tr>

    <tr align="left">
        <td >Discount Percentage:&nbsp;</td>
        <td>
            <asp:TextBox ID="txtDiscountPercent" runat="server" width="80%" CssClass="tLimitSize150" MaxLength="7" />
            <asp:CompareValidator ID="cvDiscountPercent" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtDiscountPercent" Operator="DataTypeCheck" Type="Double" />
        </td>
    </tr>

    <tr><td></td></tr>

    <tr align="left">
        <td >Valid From Date:&nbsp;</td>
        <td>
            <asp:TextBox ID="txtValidFrom" runat="server" width="80%" CssClass="tLimitSize150" />
            <script type="text/javascript">
                $('[id$="txtValidFrom"]').datetimepicker({
                    format: 'm/d/Y h:i A',
                    timepicker: true
                });
            </script>
            <asp:CustomValidator ID="cvValidFrom" runat="server" ErrorMessage="Please select a date" OnServerValidate="cvValidFrom_CheckCouponDates" CssClass="SmithRequiredText" />
        </td>
    </tr>

    <tr><td></td></tr>

    <tr align="left">
        <td >Valid To Date:&nbsp;</td>
        <td>
            <asp:TextBox ID="txtValidTo" runat="server" width="80%" CssClass="tLimitSize150" />
            <script type="text/javascript">
                $('[id$="txtValidTo"]').datetimepicker({
                    format: 'm/d/Y h:i A',
                    timepicker: true
                });
            </script>
            <asp:CustomValidator ID="cvValidTo" runat="server" ErrorMessage="Please select a date" OnServerValidate="cvValidTo_CheckCouponDates" CssClass="SmithRequiredText" />
        </td>
    </tr>

    <tr><td></td></tr>

    <tr align="left">
        <td>Max Usage:&nbsp;</td>
        <td>
            <asp:TextBox ID="txtMaxUsage" runat="server" width="80%" CssClass="tLimitSize150" MaxLength="7" />
        </td>
    </tr>

    <tr ID="trRecur" runat="server" visible="false" align="left">
        <td colspan="2">Discount First Recurring Payment Only:&nbsp;&nbsp;<asp:CheckBox ID="chkDiscountFirstPaymentOnly" runat="server" /></td>
    </tr>
   
</table>


    <ul class="dnnActions dnnClear">
        <li><asp:LinkButton ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" CssClass="dnnPrimaryAction" Text="Save" /></li>
        <li><asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CssClass="dnnSecondaryAction" Text="Cancel" CausesValidation="false" /></li>
    </ul>

</asp:View>

   </asp:MultiView>