﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.ManageProducts" CodeBehind="ManageProducts.ascx.cs" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<link type="text/css" rel="stylesheet" href='<%= ResolveUrl("~/DesktopModules/SmithCommon/css/scDateTime.css") %>' />
<link type="text/css" rel="stylesheet" href='<%= ResolveUrl("~/DesktopModules/SmithRegistration/css/chosen.min.css") %>' />

<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDateTime.js") %>'></script>
<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/js/chosen.jquery.min.js") %>'></script>

<style>
    ul.chosen-choices li,
    ul.chosen-results li {
        font-size: small;
    }
</style>

<script type="text/javascript">

	function RemoveConditionalRole(element) {
		var $tRow = $(element).closest('tr');
		$tRow.fadeOut(400, function () {
			$tRow.remove();
		});
	}

	jQuery(function ($) {
		var setupModule = function () {

			$(".rc-multi-roles").chosen({
			    //max_selected_options: 3,
                inherit_select_classes: true,
                width: '150px'
            });

            $('#panels-demo').dnnPanels();
            $('#panels-demo .dnnFormExpandContent a').dnnExpandAll({
                targetArea: '#panels-demo'
            });

			$('.conditional-action').change(function () {
				$(this).siblings('span').each(function () {
					$span = $(this);
					if ($span.is(':visible')) {
						$span.css('display', 'none');
					} else {
						$span.css('display', 'inline-block');
					}
				});
			});
		};
		setupModule();
		Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
			// note that this will fire when _any_ UpdatePanel is triggered,
			// which may or may not cause an issue
			setupModule();
		});
	});
</script>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />

<asp:MultiView runat="server" ID="mvMain">

	<asp:View ID="viewEditProduct" runat="Server">

		<div class="left">
			<h2>Manage Products</h2>
		</div>

		<table width="100%">
			<tr>
				<td align="center">
					<asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" /></td>
			</tr>
			<tr>
				<td align="left">
					<asp:LinkButton ID="btnShowAddScreen" runat="server" OnClick="btnShowAddScreen_Click" Text="Add Product" CausesValidation="false" CssClass="dnnPrimaryAction" />
				</td>
			</tr>
			<tr>
				<td>
					<asp:GridView ID="grdProducts" runat="server" AutoGenerateColumns="false" Width="100%" GridLines="None"
						OnRowDeleting="grdProducts_RowDeleting" DataKeyNames="ProductID"
						CssClass="scAdminGrid2" AlternatingRowStyle-CssClass="alt">

						<Columns>
							<asp:TemplateField>
								<ItemTemplate>
									<asp:LinkButton ID="lkEditProduct" runat="server" OnClick="lkEditProduct_Click" CausesValidation="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/edit.png") %>' /></asp:LinkButton>
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Product ID">
								<ItemTemplate>
									<asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Sort">
								<ItemTemplate>
									<asp:Label ID="lblSortOrder" runat="server" Text='<%#Eval("SortOrder") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Product Name">
								<ItemTemplate>
									<asp:Label ID="lblProductName" runat="server" Text='<%#Eval("ProductName") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Category">
								<ItemTemplate>
									<asp:Label ID="lblCategory" runat="server" Text='<%#Eval("CategoryName") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<%--<asp:TemplateField HeaderText="Description" >
								<ItemTemplate>
									<asp:Label ID="lblDescription" runat="server" Text='<%#Eval("Description") %>' />
								</ItemTemplate>
							</asp:TemplateField>--%>

							<asp:TemplateField HeaderText="Price">
								<ItemTemplate>
									<asp:Label ID="lblPrice" runat="server" Text='<%# Eval("Price","{0:f}") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Recurring">
								<ItemTemplate>
									<asp:Label ID="lblRecurring" runat="server" Text='<%#Boolean.Parse(Eval("Recurring").ToString())?"Yes":"No"%>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:CommandField ShowDeleteButton="True" ButtonType="Image" DeleteImageUrl="~/DesktopModules/SmithRegistration/Images/trash.png" ItemStyle-CssClass="GridCellsRight" />

						</Columns>

						<EmptyDataTemplate>
							<asp:Label ID="Label1" runat="server" Text="No Products Added Yet." CssClass="SmithLargeText" />
						</EmptyDataTemplate>

					</asp:GridView>
				</td>
			</tr>
		</table>

	</asp:View>

	<asp:View ID="viewAddProduct" runat="server">

		<h2>
			<asp:Label ID="lblEditorTitle" runat="server" Text="Add Product" /></h2>

		<div class="dnnForm" id="panels-demo">
			<div class="dnnFormExpandContent"><a href="">Expand All</a></div>

			<h2 id="ProductSetup" class="dnnFormSectionHead"><a href="#">Product Fields</a></h2>
			<fieldset class="dnnClear">

				<table border="0" cellpadding="5">
					<tr>
						<td>
							<dnn:Label ID="lblStartDate" CssClass="SmithTextAlignLeft" runat="server" />
						</td>
						<td>
							<input id="txtStartDate" runat="server" width="80%" cssclass="scTxtBoxLimit250" />
							<script type="text/javascript">
								$('[id$="txtStartDate"]').datetimepicker({
									format: 'm/d/Y',
									timepicker: false
								});
							</script>
						</td>
					</tr>

					<tr>
						<td>
							<dnn:Label ID="lblEndDate" CssClass="SmithTextAlignLeft" runat="server" />
						</td>
						<td>
							<input id="txtEndDate" runat="server" width="80%" cssclass="scTxtBoxLimit250" />
							<script type="text/javascript">
								$('[id$="txtEndDate"]').datetimepicker({
									format: 'm/d/Y',
									timepicker: false
								});
							</script>
						</td>
					</tr>

					<tr>
						<td class="SmithProdText" style="width: 20%; white-space: nowrap;">
							<dnn:Label CssClass="sText" ID="lblSrtOrder" runat="server" />
						</td>
						<td>
							<asp:TextBox runat="server" ID="txtSortOrder" Width="90%" CssClass="tLimitSize150" /></td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label ID="lblCategory" runat="server" CssClass="sText" />
						</td>
						<td>
							<asp:DropDownList ID="ddlCategory" runat="server" AppendDataBoundItems="True" Width="100%" CssClass="tLimitSize350">
								<asp:ListItem Text="-Select-" Value="0" />
							</asp:DropDownList>
						</td>
					</tr>

					<tr>
						<td class="SmithProdText" style="width: 25%; white-space: nowrap;">
							<dnn:Label CssClass="sText" ID="lblProdName" runat="server" />
						</td>
						<td>
							<asp:TextBox CssClass="SmithTextboxRequired tLimitSize450" ID="txtProductName" runat="server" MaxLength="200" Width="95%" />
							<asp:RequiredFieldValidator ID="rfvtxtProductName" runat="server" ControlToValidate="txtProductName" Display="Dynamic" ErrorMessage="Product Name Required" CssClass="SmithRequiredText" />
						</td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblProductSku" runat="server" />
						</td>
						<td>
							<asp:TextBox runat="server" ID="txtProductSku" Width="95%" CssClass="tLimitSize250" /></td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblThumbImage" runat="server" />
						</td>
						<td>
							<asp:FileUpload runat="server" ID="fuThumbImage" accept="Image/*" />
						</td>
					</tr>

					<tr>
						<td class="SmithProdText"><%= Localization.GetString("txtCurrentThumbImage.Text", LocalResourceFile)%></td>
						<td>
							<asp:Image runat="server" ID="imgProductThumb" />
						</td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblPrice" runat="server" />
						</td>
						<td>
							<asp:TextBox CssClass="SmithTextboxRequired tLimitSize150" ID="txtPrice" runat="server" MaxLength="12" Width="90%" />
							<asp:RequiredFieldValidator ID="rfvtxtPrice" runat="server" ControlToValidate="txtPrice" Display="Dynamic" ErrorMessage="Price Required" CssClass="SmithRequiredText" />
							<asp:CompareValidator ID="CVtxtPrice" runat="server" ControlToValidate="txtPrice" ErrorMessage="Please Enter Valid Price" Operator="DataTypeCheck" Type="Currency" CssClass="SmithRequiredText" />
						</td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblPriceUnit" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtPriceUnits" runat="server" Width="90%" CssClass="tLimitSize150" /></td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblSalePrice" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtSalePrice" runat="server" MaxLength="12" Width="90%" CssClass="tLimitSize150" />
							<asp:CompareValidator ID="CompareValidator3" runat="server" ControlToValidate="txtSalePrice" ErrorMessage="Please Enter Valid Price" Operator="DataTypeCheck" Type="Currency" CssClass="SmithRequiredText" />
						</td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblSaleLabel" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtSaleLabel" runat="server" /></td>
					</tr>

					<tr>
						<td>
							<dnn:Label ID="lblSaleStartDate" CssClass="SmithTextAlignLeft" runat="server" />
						</td>
						<td>
							<input id="txtSaleStartDate" runat="server" width="80%" cssclass="scTxtBoxLimit250" />
							<script type="text/javascript">
								$('[id$="txtSaleStartDate"]').datetimepicker({
									format: 'm/d/Y',
									timepicker: false
								});
							</script>
						</td>
					</tr>

					<tr>
						<td>
							<dnn:Label ID="lblSaleEndDate" CssClass="SmithTextAlignLeft" runat="server" />
						</td>
						<td>
							<input id="txtSaleEndDate" runat="server" width="80%" cssclass="scTxtBoxLimit250" />
							<script type="text/javascript">
								$('[id$="txtSaleEndDate"]').datetimepicker({
									format: 'm/d/Y',
									timepicker: false
								});
							</script>
						</td>
					</tr>

					<tr id="trMemberPrice" runat="server" visible="false">
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblMemberPrc" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtMemberPrice" runat="server" MaxLength="12" Width="90%" CssClass="tLimitSize150" />
							<asp:CompareValidator ID="CompareValidator1" runat="server" ControlToValidate="txtMemberPrice" ErrorMessage="Please Enter Valid Price" Operator="DataTypeCheck" Type="Currency" CssClass="SmithRequiredText" />
						</td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblQtyonHand" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtQuantityOnHand" runat="server" MaxLength="9" Width="90%" CssClass="tLimitSize150" />
							<%-- <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtQuantityOnHand" Display="Dynamic" ErrorMessage="Qty On Hand Required"/>--%>
							<asp:CompareValidator ID="cvtxtQuantityOnHand" runat="server" ControlToValidate="txtQuantityOnHand" ErrorMessage="Please Enter Valid Quantity" Operator="DataTypeCheck" Type="Integer" CssClass="SmithRequiredText" />
						</td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblShwQty" runat="server" />
						</td>
						<td>
							<asp:CheckBox ID="chkShowQuantity" runat="server" /></td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblUserEnterdAmt" runat="server" />
						</td>
						<td>
							<asp:CheckBox ID="chkUserEnteredAmount" runat="server" /></td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblTaxExmpt" runat="server" />
						</td>
						<td>
							<asp:CheckBox ID="chkTaxExempt" runat="server" /></td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblExcldCoup" runat="server" />
						</td>
						<td>
							<asp:CheckBox ID="chkExcludeCoupon" runat="server" /></td>
					</tr>

					<%-- <tr align="left">
						<td valign="top" class="SmithProdText">Share:</td>
						<td valign="top"><asp:CheckBox ID="chkShare" runat="server" /></td>
					</tr>--%>

					<tr align="left">
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblProdDescrip" runat="server" />
						</td>
					</tr>

					<tr>
						<td colspan="2">
							<dnn:TextEditor ID="teDescription" runat="server" ChooseMode="True" ChooseRender="False" DefaultMode="Rich" Height="350" HtmlEncode="False" TextRenderMode="Raw" Width="100%" />
						</td>
					</tr>

					<tr>
						<td style="height: 10px"></td>
					</tr>
				</table>

			</fieldset>

			<h2 id="UserRoleSetup" class="dnnFormSectionHead"><a href="#">User Role Setup</a></h2>
			<fieldset class="dnnClear">

				<table>
					<tr>
						<td>
							<dnn:Label CssClass="sText" ID="lblRoleAfterPaymnt" runat="server" />
						</td>
					</tr>
				</table>

				<table border="0">
					<tr>
						<td colspan="2">
							<asp:GridView ID="gvRoles" runat="server" AutoGenerateColumns="false" GridLines="None" CssClass="scAdminGrid2" AlternatingRowStyle-CssClass="alt">
								<Columns>
									<asp:TemplateField HeaderText="Role ID" HeaderStyle-HorizontalAlign="Left" Visible="false">
										<ItemTemplate>
											<asp:Label ID="lblRoleID" runat="server" Text='<%#Eval("RoleID") %>' />
										</ItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField HeaderText="Role Name" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-Width="60%" ControlStyle-Width="100%">
										<ItemTemplate>
											<asp:Label ID="lblRoleName" runat="server" Text='<%#Eval("RoleName") %>' />
										</ItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField HeaderText="Add Role" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-Width="20%" ControlStyle-Width="100%">
										<ItemTemplate>
											<asp:CheckBox ID="chkRoles1" runat="server" />
										</ItemTemplate>
									</asp:TemplateField>
                                    <asp:TemplateField HeaderText="Effective Days" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
										<ItemTemplate>
											<asp:TextBox ID="txtRoleEffective" runat="server" />
										</ItemTemplate>
									</asp:TemplateField>
									<asp:TemplateField HeaderText="Expiration Days" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
										<ItemTemplate>
											<asp:TextBox ID="txtRoleExpire" runat="server" />
										</ItemTemplate>
									</asp:TemplateField>
								</Columns>
							</asp:GridView>
						</td>
					</tr>

					<tr>
						<td style="height: 30px">&nbsp;</td>
					</tr>
				</table>

				<table style="table-layout: fixed;">
					<tr>
						<td style="width: 38%; white-space: normal;">
							<dnn:Label CssClass="sText" ID="lblRoleRemoveAftrPymnt" runat="server" />
						</td>
						<td>
							<asp:CheckBoxList runat="server" ID="chkRemoveRoles" />
						</td>
					</tr>

				</table>

				<br />

				<asp:LinkButton runat="server" ID="btnAddConditionalDNNRole" OnClick="btnAddConditionalDNNRole_Click" CausesValidation="false" CssClass="dnnPrimaryAction">
					Add Conditional Role
				</asp:LinkButton>
				<br />

				<table runat="server" id="tblCondDNNRoles" style="width: 100%;"></table>

			</fieldset>

			<%--*** Hide Product Roles ***--%>
			<h2 id="ShowProdRole" class="dnnFormSectionHead"><a href="#">Hide Product by Role(s)</a></h2>
			<fieldset class="dnnClear">

				<div class="scWrapperMain">
					<%--<div class="scWrapperLeft" style="width:50%;">
						<dnn:Label ID="lblShowProductRoles" runat="server" /><br />
						<asp:CheckBoxList runat="server" ID="chkShowProductRoles" RepeatColumns="1" />
					</div>--%>

					<div class="scWrapperRight" style="width: 50%;">
						<%--Hide Product Roles--%>
						<dnn:Label ID="lblHideProductRoles" runat="server" />
						<br />
						<asp:CheckBoxList runat="server" ID="chkHideProductRoles" RepeatColumns="1" />
					</div>
				</div>
				<br />
			</fieldset>


			<h2 id="RoleDiscounts" class="dnnFormSectionHead"><a href="#">Discounts By Role</a></h2>
			<fieldset class="dnnClear">
				<asp:MultiView runat="server" ID="mvRoleDiscounts">

					<%-- *** Member Pricing Grid *** --%>

					<asp:View ID="viewManageMemberPricing" runat="Server">

						<table>
							<tr>
								<td align="left">
									<asp:LinkButton ID="btnShowAddDiscountScreen" runat="server" OnClick="btnShowAddDiscountScreen_Click" Text="Add Discounts" CausesValidation="false" CssClass="dnnPrimaryAction" /></td>
							</tr>
							<tr>
								<td>

									<asp:GridView ID="grdMemberPricing" runat="server" AutoGenerateColumns="false" GridLines="None"
										OnRowCancelingEdit="grdMemberPricing_RowCancelingEdit"
										OnRowDeleting="grdMemberPricing_RowDeleting"
										OnRowEditing="grdMemberPricing_RowEditing"
										OnRowUpdating="grdMemberPricing_RowUpdating"
										OnRowDataBound="grdMemberPricing_RowDataBound"
										CssClass="scAdminGrid2"
										AlternatingRowStyle-CssClass="alt">

										<EmptyDataTemplate>
											<asp:Label ID="lblNoRecordsMsg" runat="server" Text="No discounts by role added." CssClass="SmithProdText" />
										</EmptyDataTemplate>

										<Columns>
											<asp:TemplateField ShowHeader="False">
												<ItemTemplate>
													<asp:LinkButton ID="EditButton" runat="server" CommandName="Edit"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/edit.png") %>' /></asp:LinkButton>
												</ItemTemplate>
												<EditItemTemplate>
													<asp:LinkButton ID="UpdateButton" runat="server" CommandName="Update"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/save.gif") %>' /></asp:LinkButton>&nbsp;&nbsp;
													<asp:LinkButton ID="Cancel" runat="server" CommandName="Cancel"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/delete.png") %>' /></asp:LinkButton>
												</EditItemTemplate>
											</asp:TemplateField>

											<asp:TemplateField HeaderText="DiscountID" Visible="false">
												<ItemTemplate>
													<asp:Label ID="lblDiscountID" runat="server" Text='<%#Eval("DiscountID") %>'></asp:Label>
												</ItemTemplate>
											</asp:TemplateField>

											<asp:TemplateField HeaderText="ProductID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" Visible="false">
												<ItemTemplate>
													<asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>'></asp:Label>
												</ItemTemplate>
											</asp:TemplateField>

											<asp:TemplateField HeaderText="Name" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
												<ItemTemplate>
													<asp:Label ID="lblDiscountNameGrid" runat="server" Text='<%#Eval("DiscountName") %>'></asp:Label>
												</ItemTemplate>
												<EditItemTemplate>
													<asp:TextBox ID="txtDiscountNameGrid" runat="server" Text='<%#Eval("DiscountName") %>'></asp:TextBox>
												</EditItemTemplate>
											</asp:TemplateField>


											<asp:TemplateField HeaderText="Role" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
												<ItemTemplate>
													<asp:Label ID="lblMemberRole" runat="server" Text='<%#Eval("RoleName") %>' />
												</ItemTemplate>
												<EditItemTemplate>
													<asp:DropDownList ID="ddlMemberRole" runat="server"
														DataSource="<%#PopulateList()%>" DataTextField="RoleName" DataValueField="RoleID" Width="150px">
													</asp:DropDownList>
												</EditItemTemplate>
											</asp:TemplateField>

											<asp:TemplateField HeaderText="User" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
												<ItemTemplate>
													<asp:Label ID="lblUserName" runat="server" Text='<%#Eval("UserName") %>'></asp:Label>
												</ItemTemplate>
												<EditItemTemplate>
													<asp:TextBox ID="txtUserNameGrid" runat="server" Text='<%#Eval("UserName") %>'></asp:TextBox>
												</EditItemTemplate>
											</asp:TemplateField>

											<asp:TemplateField HeaderText="Percent" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
												<ItemTemplate>
													<asp:Label ID="lblDiscountPercent" runat="server" Text='<%#Eval("DiscountPercent") %>'></asp:Label>
												</ItemTemplate>
												<EditItemTemplate>
													<asp:TextBox ID="txtDiscountPercent" runat="server" Text='<%#Eval("DiscountPercent") %>'></asp:TextBox>
												</EditItemTemplate>
											</asp:TemplateField>

											<asp:TemplateField HeaderText="Amount" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
												<ItemTemplate>
													<asp:Label ID="lblDiscountAmount" runat="server" Text='<%#Eval("DiscountAmount","{0:n}") %>' />
												</ItemTemplate>
												<EditItemTemplate>
													<asp:TextBox ID="txtDiscountAmount" runat="server" Text='<%#Eval("DiscountAmount","{0:n}") %>' />
												</EditItemTemplate>
											</asp:TemplateField>

											<asp:CommandField ShowDeleteButton="True" CausesValidation="false" ButtonType="Image" DeleteImageUrl="~/DesktopModules/SmithRegistration/Images/trash.png" />

										</Columns>
									</asp:GridView>
								</td>
							</tr>
							<tr>
								<td>
									<dnn:Label ID="lblAccumulateDiscount" ResourceKey="lblAccumulateDiscount" runat="server" />
									&nbsp;&nbsp;
						<asp:CheckBox runat="server" ID="chkAccumulateDiscount" />
								</td>
							</tr>
						</table>

					</asp:View>

					<%-- *** Add/Edit Member Pricing *** --%>

					<asp:View ID="viewAddMemberPricing" runat="server">

						<table class="SmithTextAlignLeft" border="0" cellpadding="5">
							<tr>
								<td>
									<dnn:Label ID="lblDiscountName" runat="server" />
								</td>
								<td>
									<asp:TextBox ID="txtDiscountName" runat="server" /></td>
							</tr>

							<tr>
								<td>
									<dnn:Label ID="lblProdRoleDiscMemberRole" runat="server" />
								</td>
								<td>
									<asp:DropDownList runat="server" ID="ddlMemberRole" AppendDataBoundItems="true">
										<asp:ListItem Value="0">-Select-</asp:ListItem>
									</asp:DropDownList>&nbsp;&nbsp;
									<%--<asp:RequiredFieldValidator ID="rfvddlMemberRole" runat="server" ControlToValidate="ddlMemberRole" Display="Dynamic" ErrorMessage="Required" InitialValue="0"/>--%>
								</td>
							</tr>
							<tr>
								<td>
									<dnn:Label ID="lblUserName" runat="server" />
								</td>
								<td>
									<asp:TextBox ID="txtUserName" runat="server" />
									<%-- <asp:DropDownList runat="server" ID="ddlUser" AppendDataBoundItems="true">
										<asp:ListItem Value="0">-Select-</asp:ListItem>
									</asp:DropDownList>--%>
								</td>
							</tr>
							<tr>
								<td style="width: 12%; white-space: nowrap;">
									<dnn:Label ID="lblProdRoleDiscPercent" runat="server" />
								</td>
								<td>
									<asp:TextBox ID="txtDiscountPercent" runat="server" MaxLength="7" />&nbsp;
									<asp:CompareValidator ID="CVtxtDiscountPercent" runat="server" ControlToValidate="txtDiscountPercent" ErrorMessage="Enter percentage without % sign" Operator="DataTypeCheck" Type="Currency" Display="Dynamic" CssClass="SmithRequiredText" />
								</td>
							</tr>
							<tr>
								<td>
									<dnn:Label ID="lblProdRoleDiscAmount" runat="server" />
								</td>
								<td>
									<asp:TextBox runat="server" ID="txtDiscountAmount" MaxLength="11" />&nbsp;
									<asp:CompareValidator ID="cvPrice2" runat="server" ErrorMessage="Enter a valid number" ControlToValidate="txtDiscountAmount" Operator="DataTypeCheck" Type="Double" Display="Dynamic" CssClass="SmithRequiredText" />
								</td>
							</tr>
							<tr>
								<td></td>
							</tr>
						</table>

						<ul class="dnnActions dnnClear">
							<li>
								<asp:LinkButton ID="btnAddMemberPricing" runat="server" OnClick="btnAddMemberPricing_Click" CssClass="dnnPrimaryAction" Text="Save" /></li>
							<li>
								<asp:LinkButton ID="btnCancelDiscount" runat="server" OnClick="btnCancelDiscount_Click" CssClass="dnnSecondaryAction" Text="Cancel" CausesValidation="false" />
							</li>
						</ul>
						<br />

					</asp:View>

				</asp:MultiView>

			</fieldset>


			<h2 id="RecurringBilling" class="dnnFormSectionHead"><a href="#">Recurring Billing</a></h2>
			<fieldset class="dnnClear">

				<table border="0">
					<tr>
						<td colspan="2" class="SmithProdText">(See the <u><a href="http://helpdesk.smith-consulting.com/kb/a68/supported-payment-gateways.aspx#" target="_blank">Payment Gateway User's Guide</a></u> for a list of recurring billing gateways supported)</td>
					</tr>
					<tr>
						<td style="height: 5px"></td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblEnblRecurring" runat="server" />
						</td>
						<td class="SmithProdText">
							<asp:CheckBox runat="server" ID="chkRecurring" />
						</td>
					</tr>

					<tr>
						<td style="height: 5px"></td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblSubscrpIntrvl" runat="server" />
						</td>
						<td>
							<asp:DropDownList ID="ddlSubscriptionInterval" runat="server" Width="100%" CssClass="tLimitSize250">
								<asp:ListItem Value="0">-Select-</asp:ListItem>
								<asp:ListItem Value="Daily">Daily</asp:ListItem>
								<asp:ListItem Value="Weekly">Weekly</asp:ListItem>
								<asp:ListItem Value="2Weeks">Every 2 Weeks</asp:ListItem>
								<asp:ListItem Value="Monthly">Monthly</asp:ListItem>
								<asp:ListItem Value="2Months">Every 2 Months</asp:ListItem>
								<asp:ListItem Value="Quarterly">Quarterly (Every 3 Months)</asp:ListItem>
								<asp:ListItem Value="Semiannual">Semi-Annually</asp:ListItem>
								<asp:ListItem Value="Yearly">Yearly</asp:ListItem>
							</asp:DropDownList>
						</td>
					</tr>

					<tr>
						<td style="height: 5px"></td>
					</tr>

					<tr>
						<td class="SmithProdText" style="width: 25%; white-space: nowrap;">
							<dnn:Label CssClass="sText" ID="lblTotalOccrances" runat="server" />
						</td>
						<td class="SmithProdText">
							<asp:TextBox ID="txtTotalOccurences" runat="server" MaxLength="4" Width="65px"></asp:TextBox>&nbsp;&nbsp;(&quot;9999&quot; = Infinite recurring billing) </td>
					</tr>

					<tr>
						<td style="height: 5px"></td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblStrtRurringDate" runat="server" />
						</td>
						<td class="SmithProdText">
							<asp:RadioButtonList ID="rblRecurStartDateSetup" runat="server" OnSelectedIndexChanged="rblRecurStartDateSetup_SelectedIndexChanged" AutoPostBack="true">
								<asp:ListItem id="optStartNow" runat="server" Value="StartNow" Text="Start Recurring Billing Today" Selected="True" />
								<asp:ListItem id="optPromptUser" runat="server" Value="PromptUser" Text="Prompt User for Recurring Start Date" />
								<asp:ListItem id="optPreDefined" runat="server" Value="PreDefined" Text="Pre Defined Recurring Start Date" />
								<asp:ListItem id="optStartXDays" runat="server" Value="StartXDays" Text="Start Recurring Billing after X Business days" />
							</asp:RadioButtonList>
						</td>
					</tr>

					<%--<tr><td style="height:5px"></td></tr>
					<tr align="left">
						<td class="SmithProdText" colspan="2">Show Recurring Billing Start Date:&nbsp;&nbsp;<asp:CheckBox ID="chkShowRecurStartDate" runat="server"/></td>
					</tr>--%>

					<tr>
						<td style="height: 5px"></td>
					</tr>

					<tr id="trRecurStartDate" runat="server" visible="false">
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblRecurrStrtDate" runat="server" />
						</td>
						<td align="left">
							<asp:DropDownList ID="ddlRecurringStartMonth" runat="server">
								<asp:ListItem Value="00">-Month-</asp:ListItem>
								<asp:ListItem Value="01">01</asp:ListItem>
								<asp:ListItem Value="02">02</asp:ListItem>
								<asp:ListItem Value="03">03</asp:ListItem>
								<asp:ListItem Value="04">04</asp:ListItem>
								<asp:ListItem Value="05">05</asp:ListItem>
								<asp:ListItem Value="06">06</asp:ListItem>
								<asp:ListItem Value="07">07</asp:ListItem>
								<asp:ListItem Value="08">08</asp:ListItem>
								<asp:ListItem Value="09">09</asp:ListItem>
								<asp:ListItem Value="10">10</asp:ListItem>
								<asp:ListItem Value="11">11</asp:ListItem>
								<asp:ListItem Value="12">12</asp:ListItem>
							</asp:DropDownList>
							&nbsp;/&nbsp;
							<asp:DropDownList ID="ddlRecurringStartDay" runat="server">
								<asp:ListItem Value="00">-Day-</asp:ListItem>
								<asp:ListItem Value="01">1</asp:ListItem>
								<asp:ListItem Value="02">2</asp:ListItem>
								<asp:ListItem Value="03">3</asp:ListItem>
								<asp:ListItem Value="04">4</asp:ListItem>
								<asp:ListItem Value="05">5</asp:ListItem>
								<asp:ListItem Value="06">6</asp:ListItem>
								<asp:ListItem Value="07">7</asp:ListItem>
								<asp:ListItem Value="08">8</asp:ListItem>
								<asp:ListItem Value="09">9</asp:ListItem>
								<asp:ListItem Value="10">10</asp:ListItem>
								<asp:ListItem Value="11">11</asp:ListItem>
								<asp:ListItem Value="12">12</asp:ListItem>
								<asp:ListItem Value="13">13</asp:ListItem>
								<asp:ListItem Value="14">14</asp:ListItem>
								<asp:ListItem Value="15">15</asp:ListItem>
								<asp:ListItem Value="16">16</asp:ListItem>
								<asp:ListItem Value="17">17</asp:ListItem>
								<asp:ListItem Value="18">18</asp:ListItem>
								<asp:ListItem Value="19">19</asp:ListItem>
								<asp:ListItem Value="20">20</asp:ListItem>
								<asp:ListItem Value="21">21</asp:ListItem>
								<asp:ListItem Value="22">22</asp:ListItem>
								<asp:ListItem Value="23">23</asp:ListItem>
								<asp:ListItem Value="24">24</asp:ListItem>
								<asp:ListItem Value="25">25</asp:ListItem>
								<asp:ListItem Value="26">26</asp:ListItem>
								<asp:ListItem Value="27">27</asp:ListItem>
								<asp:ListItem Value="28">28</asp:ListItem>
								<asp:ListItem Value="29">29</asp:ListItem>
								<asp:ListItem Value="30">30</asp:ListItem>
								<asp:ListItem Value="31">31</asp:ListItem>
							</asp:DropDownList>
							&nbsp;/&nbsp;
							<asp:DropDownList ID="ddlRecurStartYear" runat="server" AppendDataBoundItems="true">
								<asp:ListItem Value="0">-Year-</asp:ListItem>
							</asp:DropDownList>
						</td>
					</tr>

					<tr id="trStartXDays" runat="server" visible="false">
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblStartXDays" runat="server" />
						</td>
						<td align="left">
							<asp:TextBox ID="txtStartXDays" runat="server" Width="50%" CssClass="SmithTextboxRequired tLimitSize150" MaxLength="12" />&nbsp;
							<asp:RequiredFieldValidator ID="rfvStartXDays" runat="server" ControlToValidate="txtStartXDays" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText" />
							<asp:CompareValidator ID="cvStartXDays" runat="server" ControlToValidate="txtStartXDays" ErrorMessage="Enter a number greater than 1" Display="Dynamic" ValueToCompare="1" Type="Integer" Operator="GreaterThan" CssClass="SmithRequiredText" />
						</td>
					</tr>

					<tr>
						<td style="height: 5px"></td>
					</tr>

					<%--<tr align="left">
						<td class="SmithProdText">Occurrence Grouping:</td>
						<td valign="top">
							<asp:TextBox ID="txtOccurGroup" runat="server" MaxLength="9" Width="100px"/>&nbsp;
							<asp:CompareValidator ID="CompareValidator2" runat="server" ControlToValidate="txtOccurGroup" ErrorMessage="Please Enter Valid Number" Operator="DataTypeCheck" Type="Integer"/>
						</td>
					</tr>--%>

					<tr>
						<td>
							<dnn:Label CssClass="sText" ID="lblUseFxdRecurringAmt" runat="server" />
						</td>
						<td>
							<asp:CheckBox runat="server" ID="chkEnableRecurAmount" OnCheckedChanged="chkEnableRecurAmount_CheckedChanged" AutoPostBack="True" />
						</td>
					</tr>

					<tr>
						<td style="height: 5px"></td>
					</tr>

					<tr runat="server" id="trRecurringAmount" visible="false">
						<td>
							<dnn:Label CssClass="sText" ID="lblRecurringAmount" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtRecurAmount" runat="server" Width="50%" CssClass="tLimitSize150" MaxLength="12" />
						</td>
					</tr>

					<tr runat="server" id="trRecurDepositAmount" visible="false">
						<td>
							<dnn:Label CssClass="sText" ID="lblRecurDepositAmount" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtRecurDepositAmount" runat="server" Width="50%" CssClass="tLimitSize150" MaxLength="12" />
						</td>
					</tr>

					<tr>
						<td style="height: 5px"></td>
					</tr>

					<tr>
						<td>
							<dnn:Label ID="lblShowRecurMsg" runat="server" />
						</td>
						<td>
							<asp:CheckBox runat="server" ID="chkShowRecurMsg" />
						</td>
					</tr>

					<tr>
						<td>
							<dnn:Label CssClass="sText" ID="lblRecurringMsg" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtRecurMsg" runat="server" Width="95%" CssClass="tLimitSize350" />
						</td>
					</tr>

					<tr>
						<td style="height: 5px"></td>
					</tr>

					<tr id="trRecurCostUpFront" runat="server" visible="false">
						<td>
							<dnn:Label CssClass="sText" ID="lblChrgRurringUpFront" runat="server" />
						</td>
						<td>
							<asp:CheckBox ID="chkRecurCostUpFront" runat="server" />
						</td>
					</tr>
				</table>

			</fieldset>

			<h2 id="TrialSubscription" class="dnnFormSectionHead"><a href="#">Trial Subscriptions</a></h2>
			<fieldset class="dnnClear">
				<table border="0">
					<tr>
						<td>
							<dnn:Label CssClass="sText" ID="lblEnableTrial" runat="server" />
						</td>
						<td>
							<asp:CheckBox ID="chkEnableTrial" runat="server" /></td>
					</tr>
					<tr>
						<td style="height: 5px"></td>
					</tr>

					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblTrialIntrvl" runat="server" />
						</td>
						<td>
							<asp:DropDownList ID="ddlTrialInterval" runat="server" Width="100%" CssClass="tLimitSize250">
								<asp:ListItem Value="0">-Select-</asp:ListItem>
								<asp:ListItem Value="Daily">Daily</asp:ListItem>
								<asp:ListItem Value="Weekly">Weekly</asp:ListItem>
								<asp:ListItem Value="Monthly">Monthly</asp:ListItem>
								<asp:ListItem Value="Semiannual">Semi-Annually</asp:ListItem>
								<asp:ListItem Value="Yearly">Yearly</asp:ListItem>
							</asp:DropDownList>
						</td>
					</tr>
					<tr>
						<td style="height: 5px"></td>
					</tr>
					<tr>
						<td>
							<dnn:Label CssClass="sText" ID="lblTrialOccurances" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtTrialOccurences" runat="server" CssClass="tLimitSize150" MaxLength="5" /></td>
					</tr>
					<tr>
						<td style="height: 5px"></td>
					</tr>
					<tr>
						<td>
							<dnn:Label CssClass="sText" ID="lblTrialAmnt" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtTrialAmount" runat="server" CssClass="tLimitSize150" MaxLength="12" /></td>
					</tr>
					<tr id="trTrialUpFront" runat="server" visible="false">
						<td>
							<dnn:Label ID="lblChrgTrialUpFront" runat="server" CssClass="sText" />
						</td>
						<td>
							<asp:CheckBox ID="chkTrialCostUpFront" runat="server" /></td>
					</tr>
				</table>
			</fieldset>


			<h2 id="ZendeskTicket" class="dnnFormSectionHead"><a href="#">Zendesk Ticket</a></h2>
			<fieldset class="dnnClear">
				<table border="0" width="100%">
					<tr>
						<td style="width: 20%;">
							<dnn:Label CssClass="sText" ID="lblCreateTicket" runat="server" />
						</td>
						<td>
							<asp:CheckBox ID="chkCreateTicket" runat="server" /></td>
					</tr>
					<tr>
						<td style="height: 5px"></td>
					</tr>
					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblTicketType" runat="server" />
						</td>
						<td>
							<asp:DropDownList ID="ddlTicketType" runat="server" Width="100%" CssClass="tLimitSize250">
								<asp:ListItem Value="">-Select-</asp:ListItem>
								<asp:ListItem Value="problem">Problem</asp:ListItem>
								<asp:ListItem Value="incident">Incident</asp:ListItem>
								<asp:ListItem Value="question">Question</asp:ListItem>
								<asp:ListItem Value="task">Task</asp:ListItem>
							</asp:DropDownList>
						</td>
					</tr>
					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblTicketPriority" runat="server" />
						</td>
						<td>
							<asp:DropDownList ID="ddlTicketPriority" runat="server" Width="100%" CssClass="tLimitSize250">
								<asp:ListItem Value="">-Select-</asp:ListItem>
								<asp:ListItem Value="urgent">Urgent</asp:ListItem>
								<asp:ListItem Value="high">High</asp:ListItem>
								<asp:ListItem Value="normal">Normal</asp:ListItem>
								<asp:ListItem Value="low">Low</asp:ListItem>
							</asp:DropDownList>
						</td>
					</tr>
					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblTicketStatus" runat="server" />
						</td>
						<td>
							<asp:DropDownList ID="ddlTicketStatus" runat="server" Width="100%" CssClass="tLimitSize250">
								<asp:ListItem Value="">-Select-</asp:ListItem>
								<asp:ListItem Value="new">New</asp:ListItem>
								<asp:ListItem Value="open">Open</asp:ListItem>
								<asp:ListItem Value="pending">Pending</asp:ListItem>
								<asp:ListItem Value="hold">Hold</asp:ListItem>
								<asp:ListItem Value="solved">Solved</asp:ListItem>
								<asp:ListItem Value="closed">Closed</asp:ListItem>
							</asp:DropDownList>
						</td>
					</tr>
					<tr>
						<td class="SmithProdText">
							<dnn:Label CssClass="sText" ID="lblTicketCategory" runat="server" />
						</td>
						<td>
							<asp:DropDownList ID="ddlTicketCategory" runat="server" Width="100%" CssClass="tLimitSize250">
								<%-- To add/modify this zendesk custom field edit: /Xml/ZendeskTicketCategories.xml --%>
							</asp:DropDownList>
						</td>
					</tr>
					<tr>
						<td style="white-space: nowrap;">
							<dnn:Label CssClass="sText" ID="lblTicketSubject" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtTicketSubject" runat="server" Width="95%" CssClass="tLimitSize350" /></td>
					</tr>
					<tr>
						<td style="white-space: nowrap;">
							<dnn:Label CssClass="sText" ID="lblTicketComment" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtTicketComment" runat="server" Width="95%" CssClass="tLimitSize350" /></td>
					</tr>
					<tr>
						<td>
							<dnn:Label CssClass="sText" ID="lblTicketTags" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtTicketTags" runat="server" Width="95%" CssClass="tLimitSize350" /></td>
					</tr>
					<tr>
						<td>
							<dnn:Label CssClass="sText" ID="lblTicketAddOrgTags" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtTicketAddOrgTags" runat="server" Width="95%" CssClass="tLimitSize350" /></td>
					</tr>
					<tr>
						<td>
							<dnn:Label CssClass="sText" ID="lblTicketRemoveOrgTags" runat="server" />
						</td>
						<td>
							<asp:TextBox ID="txtTicketRemoveOrgTags" runat="server" Width="95%" CssClass="tLimitSize350" /></td>
					</tr>
				</table>
			</fieldset>

		</div>


		<ul class="dnnActions dnnClear">
			<li>
				<asp:LinkButton ID="btnAddProduct" runat="server" OnClick="btnAddProduct_Click" CssClass="dnnPrimaryAction" Text="Add Product" /></li>
			<li>
				<asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CssClass="dnnSecondaryAction" Text="Cancel" CausesValidation="false" /></li>
		</ul>

		<asp:ValidationSummary ID="ValidationSummary1" runat="server" CssClass="SmithRequiredText" />

	</asp:View>

</asp:MultiView>