﻿<%@ control Language="C#" AutoEventWireup="true" Codebehind="RegProSettings.ascx.cs" Inherits="Smith.DNN.Modules.Registration.RegProSettings" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>

<link type="text/css" href='<%= ResolveUrl("~/DesktopModules/SmithCommon/css/scDateTime.css") %>' rel="stylesheet" />
<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDateTime.js") %>'></script>

<style>
    .cc-image {
        display: inline-block;
        vertical-align: middle;
        background-image: url('<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/all_small_card.png") %>');
        background-repeat: no-repeat;
        width: 30px;
        height: 20px;
    }
    .visa-image {
        background-position: 0 0;
    }
    .mastercard-image {
        background-position: 0 -84px;
    }
    .amex-image {
        background-position: 0 -41px;
    }
    .discover-image {
        background-position: 0 -168px;
    }
    .dinnersclub-image {
        background-position: 0 -147px;
    }
    .jcb-image {
        background-position: 0 -189px;
    }
    .unionpay-image {
        background-position: 0 -63px;
    }
    .enroute-image {
        background-position: 0 -147px;
    }
</style>
<script type="text/javascript">
	jQuery(function ($) {
		var setupModule = function () {
			$('#panels-demo').dnnPanels();
			$('#panels-demo .dnnFormExpandContent a').dnnExpandAll({
				targetArea: '#panels-demo'
			});
		};
		setupModule();
		Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
			// note that this will fire when _any_ UpdatePanel is triggered,
			// which may or may not cause an issue
			setupModule();
		});
    });
    function validateAcceptedCreditCards(src, args) {
        var items = $('input[id^="<%= cblAcceptedCreditCards.ClientID %>"]');
        for (i = 0; i < items.length; i++) {
            if ($(items[i]).is(':checked')) {
                args.IsValid = true;
                return;
            }
        }
        args.IsValid = false;
    }
</script>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />

<asp:UpdatePanel runat="server" ID="UpdatePanel1" ChildrenAsTriggers="true"><ContentTemplate>

<div class="dnnForm" id="panels-demo">
	<div class="dnnFormExpandContent"><a href="">Expand All</a></div>

<%--General Settings--%>

	<h2 id="GeneralStoreSetup" class="dnnFormSectionHead"><a href="#">General Setup</a></h2>
	<fieldset class="dnnClear">

<%--<table width="100%" id="tblSingleProduct" border="0" class="sText">
	<tr><td colspan="2" class="SmithTitle">Product Setup</td></tr>
	<tr><td style="height: 5"></td></tr>
	<tr><td colspan="2">Product Name:&nbsp;&nbsp;<asp:TextBox ID="txtProductName" Width="275px" runat="server" MaxLength="100"/></td></tr>
	<tr><td colspan="2">Product Price:&nbsp;&nbsp;&nbsp;<asp:TextBox ID="txtProductPrice" Width="75px" runat="server" MaxLength="5" /></td></tr>
</table>--%>

<table width="100%" border="0">
	<tr>
		<td style="width:20%;"><dnn:Label ID="lblRegName" runat="server"/></td>
		<td>
			<asp:TextBox runat="Server" ID="txtRegName" width="95%" CssClass="SmithTextboxRequired tLimitSize450" />
			<asp:RequiredFieldValidator ID="rfvRegName" runat="server" ControlToValidate="txtRegName" ErrorMessage="Required" Display="Dynamic" Enabled="true"  CssClass="SmithRequiredText"/>
		</td>
	</tr>
	<tr><td colspan="2"></td></tr>
	<tr>
		<td style="width:20%;"><dnn:Label ID="lblStoreCurrency" runat="server" /></td>
		<td>
			<asp:DropDownList runat="server" ID="ddlStoreCurrency" DataTextField="Text" DataValueField="Value" width="95%" CssClass="tLimitSize250" >
			 </asp:DropDownList>
		</td>
	</tr>

     <tr>
        <td>Upload Logo:</td>
        <td><asp:FileUpload ID="FileUpload1" runat="server" /></td>
    </tr>

    <tr>
        <td>Current Logo:</td>
        <td><asp:Image ID="ImgLogo" runat="server" style="max-height:100px;"/></td>
    </tr>

	<%--<tr>
		<td><dnn:Label ID="lblTheme" runat="server" /></td>
		<td align="left"><asp:DropDownList runat="server" ID="ddlTheme" DataValueField="ColorValue" DataTextField="Color"></asp:DropDownList></td>
	</tr>--%>

	 <tr><td colspan="2"></td></tr>
</table>

<table runat="server" visible="false">
	 <tr><td></td></tr>
	<tr><td class="SmithTitle" colspan="2"><dnn:Label ID="lblProfileSetup" runat="server" /></td></tr>
	<tr><td></td></tr>
</table>

<table runat="server" visible="false">
	<tr>
		<td colspan="2">
			<asp:RadioButtonList ID="rblUserRegSetup" runat="server">
				<asp:listitem id="optUseEmail" runat="server" value="UseEmail" Text="Default User Name as Email" Selected="True"/>
				<asp:listitem id="optShowUserName" runat="server" value="ShowUserName" Text="Show User Name"/>
				<asp:listitem id="optHideUserNamePassword" runat="server" value="HideUserNamePassword" Text="Hide User Name and Password"/>
			</asp:RadioButtonList>
		</td>
	</tr>
</table>

<table>
	<tr style="height: 15px"><td></td></tr>
	<tr><td><dnn:Label ID="lblRegType" runat="server" cssClass="SmithTitle" /></td></tr>
	<tr><td></td></tr>
</table>

<table width="100%" border="0">
	<tr>
		<td colspan="2">
			<asp:RadioButtonList ID="rblRegType" runat="server">
				<asp:listitem id="optPublic" runat="server" value="Public" Text="Public" Selected="True"/>
				<asp:listitem id="optPrivate" runat="server" value="Private" Text="Private"/>
				<asp:listitem id="optVerified" runat="server" value="Verified" Text="Verified"/>
			</asp:RadioButtonList>
		</td>
	</tr>
	<tr style="height: 15px"><td>&nbsp;</td></tr>
	<tr runat="server">
		<td style="width:20%;"><dnn:Label ID="lblSinglePageCheckout" runat="server" /></td>
		<td><asp:CheckBox runat="server" ID="chkSinglePageCheckout" AutoPostBack="true" OnCheckedChanged="chkSinglePageCheckout_CheckedChanged" /></td>
	</tr>

</table>

<table>
	<tr style="height: 15px"><td>&nbsp;</td></tr>
	<tr><td><dnn:Label ID="lblSmithIntegration" runat="server" cssClass="SmithTitle" /></td></tr>
	<tr><td></td></tr>
</table>

<table width="100%" border="0">
	<tr runat="server" visible="false">
		<td style="width:20%;"><dnn:Label ID="lblSmithCartCustomer" runat="server" /></td>
		<td><asp:CheckBox runat="server" ID="chkUseSmithCartCustomer" /></td>
	</tr>
	<tr runat="server" visible="false">
		<td><dnn:Label ID="lblBillMgrIntegrated" runat="server" /></td>
		<td><asp:CheckBox runat="server" ID="chkBillMgrIntegrated" /></td>
	</tr>
	 <tr runat="server" visible="false">
		<td style="width:20%;"><dnn:Label ID="lblShowInvoice" runat="server" /></td>
		<td><asp:CheckBox runat="server" ID="chkShowInvoiceNo" /></td>
    </tr>
	 <tr>
		<td style="width:20%;"><dnn:Label ID="lblEnableInvMgmt" runat="server" /></td>
		<td><asp:CheckBox runat="server" ID="chkEnableInvMgmt" /></td>
	</tr>
	<%--<tr><td>User Entered Amount:</td><td><asp:CheckBox ID="chkUserEnteredAmount" runat="server"/></td></tr>--%>
	<%--<tr><td>Show Quantity:</td><td><asp:CheckBox runat="server" ID="chkShowQuantity" /></td></tr>--%>
	<tr><td>&nbsp;</td></tr>
</table>

<table border="0">
	 <tr><td colspan="2" class="SmithTitle" style="height: 25px">Captcha</td></tr>
	 <tr><td></td></tr>
	<tr runat="server" visible="false">
		<td style="width:20%; padding-right:10px;"><dnn:Label ID="lblShowCaptcha" runat="server" /></td>
		<td><asp:CheckBox runat="server" ID="chkShowCaptcha" /></td>
	</tr>
	 <tr>
		<td><dnn:Label ID="lblCaptchaPublicKey" runat="server"/></td>
		<td><asp:TextBox runat="Server" ID="txtCaptchaPublicKey" width="95%" CssClass="tLimitSize250"/></td>
	</tr>
	 <tr>
		<td><dnn:Label ID="lblCaptchaPrivateKey" runat="server"/></td>
		<td><asp:TextBox runat="Server" ID="txtCaptchaPrivateKey" width="95%" CssClass="tLimitSize250"/></td>
	</tr>
	  <tr><td>&nbsp;</td></tr>
</table>

<table width="100%" border="0">
	<tr><td></td></tr>
	 <tr><td colspan="2" class="SmithTitle" style="height: 25px">User Profile Page</td></tr>
	 <tr><td></td></tr>
	<tr>
		<td style="width:20%;"><dnn:Label ID="lblRedirectLoggedInUsers" runat="server" /></td>
		<td><asp:CheckBox runat="server" ID="chkRedirectLoggedInUsers" /></td>
	</tr>
	 <tr>
		<td style="width:20%;"><dnn:Label ID="lblUserProfileURL" runat="server"/></td>
		<td><asp:TextBox runat="Server" ID="txtUserProfileURL" width="95%" CssClass="tLimitSize450" /></td>
	</tr>
	<tr><td>&nbsp;</td></tr>
</table>

    <table width="100%" border="0">
	    <tr><td></td></tr>
	     <tr><td colspan="2" class="SmithTitle" style="height: 25px">Use DNN User</td></tr>
	     <tr><td></td></tr>
	    <tr>
		    <td style="width:20%;"><dnn:Label ID="lblUseDNNUser" runat="server" /></td>
		    <td><asp:CheckBox runat="server" ID="chkUseDNNUser" /></td>
	    </tr>
    </table>

    <table width="100%" border="0" style="display:none;">
	    <tr><td></td></tr>
	     <tr><td colspan="2" class="SmithTitle" style="height: 25px">Account Statement</td></tr>
	     <tr><td></td></tr>
	    <tr>
		    <td style="width:20%;"><dnn:Label ID="lblAccountStatementPage" runat="server" /></td>
		    <td>
                <asp:DropDownList ID="ddlAccountStatementPage" runat="server" DataValueField="TabId" DataTextField="TabName" AppendDataBoundItems="true">
                    <asp:ListItem Value="0" Text="--Select--"></asp:ListItem>
		        </asp:DropDownList>
		    </td>
	    </tr>
    </table>


  </fieldset>


<%--Email Section--%>

<h2 id="H2" class="dnnFormSectionHead"><a href="#">Email</a></h2>
	<fieldset class="dnnClear">

 <table width="100%" border="0">
	<tr>
		<td style="width:20%;"><dnn:Label ID="lblMailToAddress" runat="server"  /></td>
		<td>
			<asp:TextBox ID="txtMailToEmailAddress" runat="server" width="95%" CssClass="SmithTextboxRequired tLimitSize350" MaxLength="100"/>
			<asp:RequiredFieldValidator ID="rfvMailTo" runat="server" ControlToValidate="txtMailToEmailAddress" ErrorMessage="Required" Display="Dynamic" Enabled="true"  CssClass="SmithRequiredText"/>
		</td>
	</tr>

	  <%-- <tr>
		<td><dnn:Label ID="lblMailFrm" runat="server"  /></td>
		<td><asp:TextBox ID="txtMailFrom" runat="server" Width="275px" MaxLength="100"/></td>
	</tr>--%>

	<tr>
		<td><dnn:Label ID="lblMailFrmAddress" runat="server" /></td>
		<td>
			<asp:TextBox ID="txtMailFromEmailAddress" runat="server" width="95%" CssClass="SmithTextboxRequired tLimitSize350" MaxLength="100"/>
			<asp:RequiredFieldValidator ID="rfvMailFrom" runat="server" ControlToValidate="txtMailFromEmailAddress" ErrorMessage="Required" Display="Dynamic" Enabled="true"  CssClass="SmithRequiredText"/>
		</td>
	</tr>

	<tr style="height: 10px"><td>&nbsp;</td></tr>

	<tr>
		<td colspan="2">
			<asp:LinkButton ID="lbManageEmailTempltes" runat="server" OnClick="lbManageEmailTempltes_Click" Font-Size="Larger" Text="Manage Email Templates"/>
		</td>
	</tr>
	<tr><td style="height: 15px">&nbsp;</td></tr>
</table>

	</fieldset>


<%--Product Section--%>

	<h2 id="ProductLayout" class="dnnFormSectionHead" runat="server" visible="false"><a href="#">Product Layout</a></h2>
	<fieldset class="dnnClear" runat="server" visible="false">

<table width="100%" border="0">
	<tr>
		<td colspan="2">
			<asp:RadioButtonList ID="rblProductLayout" runat="server" onselectedindexchanged="rblProductLayout_SelectedIndexChanged" AutoPostBack="true">
				<asp:listitem id="optSingleProduct" runat="server" value="SingleProduct" Text="Single Product" Selected="True"/>
				<asp:listitem id="optMultiProductDropdown" runat="server" value="MultiProductDropdown" Text="Multi Product Dropdown List"/>
				<asp:listitem id="optRadioButton" runat="server" value="MultiProductRadioButton" Text="Multi Product RadioButton List"/>
				<asp:listitem id="opMultiProductGrid" runat="server" value="MultiProductGrid" Text="Multi Product Table"/>
				<asp:listitem id="optHideProduct" runat="server" value="HideProductSection" Text="Hide Product Display" />
			</asp:RadioButtonList>
		</td>
	</tr>

	<%-- <tr>
		<td nowrap="nowrap"><dnn:Label ID="lblHideProductSection" runat="server" /></td>
		<td><asp:CheckBox runat="server" ID="chkHideProductSection" /></td>
	</tr>--%>

	<tr style="height: 15px"><td>&nbsp;</td></tr>
	<asp:Panel ID="pnlMultiTableSettings" runat="server">

	<tr id="trProductCols" runat="server" visible="false">
		<td style="width:20%;"><dnn:Label ID="lblProductCatalogColumns" runat="server" /></td>
		<td align="left">
			<asp:DropDownList runat="server" ID="ddlProductCatalogColumns" width="20%" CssClass="tLimitSize150">
				<asp:ListItem Text="1" Value="1" />
				<asp:ListItem Text="2" Value="2" />
				<asp:ListItem Text="3" Value="3" />
				<asp:ListItem Text="4" Value="4" />
				<asp:ListItem Text="5" Value="5" />
			</asp:DropDownList>
		</td>
	</tr>
	<tr id="trProductDir" runat="server" visible="false">
		<td><dnn:Label ID="lblProductListDirection" runat="server" /></td>
		<td align="left">
			<asp:DropDownList runat="server" ID="ddlProductListDirection" width="50%" CssClass="tLimitSize150">
				<asp:ListItem Text="Horizontal" Value="Horizontal" />
				<asp:ListItem Text="Vertical" Value="Vertical" />
			</asp:DropDownList>
		</td>
	</tr>
	<tr>
		<td style="width:20%;"><dnn:Label ID="lblShowCategory" runat="server" /></td>
		<td><asp:CheckBox runat="server" ID="chkShowCategory" /></td>
	</tr>
	<tr>
		<td><dnn:Label ID="lblShowContactUsLink" runat="server" /></td>
		<td><asp:CheckBox runat="server" ID="chkShowContactUsLink" /></td>
	</tr>
	 <tr>
		<td><dnn:Label ID="lblContactUsURL" runat="server"/></td>
		<td><asp:TextBox runat="Server" ID="txtContactUsURL" width="95%" CssClass="tLimitSize350" /></td>
	</tr>
	</asp:Panel>
</table>

	</fieldset>


 <%-- Gateways --%>

   <h2 id="PaymentSetup" class="dnnFormSectionHead"><a href="#">Payment Setup</a></h2>
	<fieldset class="dnnClear">

<table border="0">
	<tr>
		<td style="width:20%;"><dnn:Label ID="lblPymtGtway" runat="server" /></td>
		<td>
			<asp:DropDownList ID="ddlGateway" CssClass="SmithDropdownRequired tLimitSize350" DataTextField="Text" DataValueField="Value" runat="server" OnSelectedIndexChanged="ddlGateway_SelectedIndexChanged" AutoPostBack="True" width="100%">
			</asp:DropDownList>
			<asp:RequiredFieldValidator ID="rfvddlGateway" runat="server" ControlToValidate="ddlGateway" Display="Dynamic" ErrorMessage="Gateway Required" CssClass="SmithRequiredText" InitialValue="0"/>
		</td>
	</tr>

	 <tr runat="server" id="trPayPalUserName" align="left">
			<td><asp:Label ID="lblUserName" runat="server" ResourceKey="lblUserName" Text="User Name:" /></td>
			<td><asp:TextBox ID="txtPayPalUserName" CssClass="SmithTextboxRequired tLimitSize350" Width="95%" runat="server" /></td>
		</tr>
		<tr runat="server" id="trPayPalPassword" align="left">
			<td><asp:Label ID="lblPayPalPassword" runat="server" Text="Password:"/></td>
			<td align="left"><asp:TextBox runat="Server" CssClass="SmithTextboxRequired tLimitSize350" ID="txtPayPalPassword" Width="95%" /></td>
		</tr>
		<tr runat="server" id="trPayPalSignature" align="left">
			<td><asp:Label ID="lblAPISignature" runat="server" Text="Signature:"/></td>
			<td align="left"><asp:TextBox runat="Server" ID="txtPayPalSignature" CssClass="SmithTextboxRequired tLimitSize350" Width="95%" /></td>
		</tr>
		<tr id="trStoreNumber" runat="server" align="left">
			<td>Store Number:</td>
			<td align="left"><asp:TextBox ID="txtStoreNumber" runat="server" MaxLength="200" width="95%" CssClass="tLimitSize250"/></td>
		</tr>
		<tr id="trPemFile" runat="server" align="left">
			<td><asp:Label ID="lblPemFile" runat="server"/></td>
			<td align="left">
				<asp:UpdatePanel runat="server" ID="UpdatePanel2" RenderMode="Inline">
					<Triggers><asp:PostBackTrigger ControlID="btnSavePemFile" /></Triggers>
					<ContentTemplate>
						<asp:FileUpload runat="server" ID="fuPemFile"  />
						<asp:Button runat="server" Text="Save Pem File" ID="btnSavePemFile" OnClick="btnSavePemFile_Click" />
					</ContentTemplate>
				</asp:UpdatePanel>
				&nbsp;&nbsp<asp:Label ID="lblPemMsg" runat="server" CssClass="SmithBlueMsg"/>
			</td>
		</tr>
		<tr id="trMerchantId" runat="server" align="left">
			<td><asp:Label runat="server" ID="lbl1" Text="Merchant ID:"/></td>
			<td align="left"><asp:TextBox ID="txtMerchantID" CssClass="SmithTextboxRequired tLimitSize350" runat="server" width="95%" /></td>
		</tr>
		<tr id="trRegKey" runat="server" align="left">
			<td><asp:Label runat="server" ID="lbl2" Text="RegKey:"/></td>
			<td align="left"><asp:TextBox ID="txtRegKey" CssClass="SmithTextboxRequired tLimitSize350" runat="server" Width="95%" /></td>
		</tr>
		<tr runat="server" id="trNMIGatewayURL" align="left">
			<td><asp:Label runat="server" ID="lblNMIURL" Text="NMI URL:"/></td>
			<td align="left"><asp:TextBox ID="txtNMIGatewayURL" runat="server" Width="95%" CssClass="SmithTextboxRequired tLimitSize350" /></td>
		</tr>
		<tr id="trAppID" runat="server" align="left">
			<td><asp:Label runat="server" ID="lblAppID" Text="App ID:"/></td>
			<td align="left"><asp:TextBox ID="txtAppID" CssClass="SmithTextboxRequired tLimitSize350" runat="server" Width="95%" /></td>
		</tr>
		<tr id="trApplicationName" runat="server" align="left">
			<td><asp:Label runat="server" ID="lblAppLogin" Text="App Login:"/></td>
			<td align="left"><asp:TextBox ID="txtApplicationName" CssClass="SmithTextboxRequired tLimitSize350" runat="server" Width="95%" /></td>
		</tr>
		<tr id="trConnectionTicket" runat="server" align="left">
			<td>Connection Ticket:</td>
			<td align="left"><asp:TextBox ID="txtConnectionTicket" CssClass="SmithTextboxRequired tLimitSize350" runat="server" Width="95%" /></td>
		</tr>
		<tr runat="Server" id="trPPPMerchantLogin" align="left">
			<td>Merchant Login:</td>
			<td align="left"><asp:TextBox runat="Server" ID="txtPPPMerchantID" CssClass="SmithTextboxRequired tLimitSize350" Width="95%" /></td>
		</tr>
		<tr runat="Server" id="trPPPUser" align="left">
			<td>User:</td>
			<td align="left"><asp:TextBox runat="Server" ID="txtPPPUser" CssClass="SmithTextboxRequired tLimitSize350" Width="95%" /></td>
		</tr>
		<tr runat="Server" id="trPPPPartner" align="left">
			<td>Partner:</td>
			<td align="left"><asp:TextBox runat="Server" ID="txtPPPPartner" CssClass="SmithTextboxRequired tLimitSize350" Width="95%" /></td>
		</tr>
		<tr runat="Server" id="trPPPPassword" align="left">
			<td>Password:</td>
			<td align="left"><asp:TextBox runat="Server" ID="txtPPPPassword" CssClass="SmithTextboxRequired tLimitSize350" Width="95%" /></td>
		</tr>
		<tr runat="server" id="trPPMerchantEmail" align="left">
			<td><dnn:Label ID="lblMerchant" runat="server"/></td>
			<td align="left"><asp:TextBox runat="Server" ID="txtPPMerchantEmail" CssClass="SmithTextboxRequired tLimitSize350" Width="95%" /></td>
		</tr>
		<tr runat="server" id="trPPLogoURL" align="left">
			<td><dnn:Label ID="lblMerchantLogoURL" runat="server"/></td>
			<td align="left"><asp:TextBox runat="Server" ID="txtPPLogoURL" Width="95%" CssClass="tLimitSize350" /></td>
		</tr>
		<tr runat="server" id="trIPN" align="left">
			<td style="height: 25px">API Callback URL:</td>
			<td align="left"><asp:Label runat="server" ID="lblNotificationURL" /></td>
		</tr>

		<%-- Checkout By Amazon - Gateway Settings --%>

		<tr runat="server" id="trAmazonMerchantId" align="left">
			<td><asp:Label runat="server" ID="lblAmazonMerchantId" Text="Merchant ID:" /></td>
			<td align="left"><asp:TextBox runat="Server" ID="txtAmazonMerchantId" CssClass="SmithTextboxRequired tLimitSize350" Width="95%" /></td>
		</tr>
		<tr runat="server" id="trAmazonAccessKeyId" align="left">
			<td><asp:Label runat="server" ID="lblAmazonAccessKeyId" Text="AWS Access Key ID:" /></td>
			<td align="left"><asp:TextBox runat="Server" ID="txtAmazonAccessKeyId" CssClass="SmithTextboxRequired tLimitSize350" Width="95%" /></td>
		</tr>
		<tr runat="server" id="trAmazonSecretKey" align="left">
			<td><asp:Label runat="server" ID="lblAmazonSecretKey" Text="AWS Secret Key:" /></td>
			<td align="left"><asp:TextBox runat="Server" ID="txtAmazonSecretKey" CssClass="SmithTextboxRequired tLimitSize350" Width="95%" /></td>
		</tr>

		<%-- Google Checkout - Gateway Settings --%>

		<tr runat="server" id="trGoogleMerchantId" align="left">
			<td><asp:Label runat="server" ID="lblGoogleMerchantId" Text="Merchant ID:" /></td>
			<td align="left"><asp:TextBox runat="Server" ID="txtGoogleMerchantId" CssClass="SmithTextboxRequired tLimitSize350" Width="95%" /></td>
		</tr>
		<tr runat="server" id="trGoogleMerchantKey" align="left">
			<td><asp:Label runat="server" ID="lblGoogleMerchantKey" Text="Merchant Key:" /></td>
			<td align="left"><asp:TextBox runat="Server" ID="txtGoogleMerchantKey" CssClass="SmithTextboxRequired tLimitSize350" Width="95%" /></td>
		</tr>

		<tr id="trElavonMerchantID" runat="server" align="left">
			<td><asp:Label runat="server" ID="lblElavonMerchantID" Text="Merchant ID:" CssClass="SmithProdText"/></td>
			<td align="left"><asp:TextBox ID="txtElavonMerchantID" CssClass="SmithTextboxRequired tLimitSize350"  runat="server" Width="95%" /></td>
		</tr>
		<tr id="trElavonUserID" runat="server" align="left">
			<td><asp:Label runat="server" ID="lblElavonUserID" Text="User ID:" CssClass="SmithProdText"/></td>
			<td align="left"><asp:TextBox ID="txtElavonUserID" CssClass="SmithTextboxRequired tLimitSize350" runat="server" Width="95%" /></td>
		</tr>
			<tr id="trElavonPin" runat="server" align="left">
			<td><asp:Label runat="server" ID="lblElavonPin" Text="Pin:" CssClass="SmithProdText"/></td>
			<td align="left"><asp:TextBox ID="txtElavonPin" CssClass="SmithTextboxRequired tLimitSize350" runat="server" Width="95%" /></td>
		</tr>
			<tr id="trElavonGatewayID" runat="server" align="left">
		   <td><asp:Label runat="server" ID="lblElavonGatewayID" Text="Gateway ID:" CssClass="SmithProdText"/><span class="SmithRequiredText">&nbsp;*&nbsp;&nbsp;</span></td>
			<td align="left"><asp:TextBox ID="txtElavonGatewayID" CssClass="SmithTextboxRequired tLimitSize350" runat="server" Width="95%" /></td>
		</tr>

		<tr id="trPxPayUserId" runat="server" align="left">
			<td><asp:Label runat="server" ID="Label4">PxPayUserId:</asp:Label></td>
			<td align="left"><asp:TextBox ID="txtPxPayUserId" CssClass="SmithTextboxRequired tLimitSize350" runat="server" Width="95%" /></td>
		</tr>
			<tr id="trPxPayKey" runat="server" align="left">
			<td><asp:Label runat="server" ID="Label6">PxPayKey:</asp:Label></td>
			<td align="left"><asp:TextBox ID="txtPxPayKey" CssClass="SmithTextboxRequired tLimitSize350" runat="server" Width="95%" /></td>
		</tr>
		<tr id="trEway" runat="server" align="left">
			<td width="100px"><asp:Label runat="server" ID="Label10">Customer ID:</asp:Label></td>
			<td align="left"><asp:TextBox ID="txtEwayCustomerID" CssClass="SmithTextboxRequired tLimitSize350" runat="server" Width="95%" /></td>
		</tr>

		<tr id="trFDRWSUid" runat="server" align="left">
			<td><asp:Label runat="server" ID="Label12">User ID:</asp:Label></td>
			<td align="left"><asp:TextBox ID="txtFDRWSUid" CssClass="SmithTextboxRequired tLimitSize350" runat="server" Width="95%" /></td>
		</tr>
			<tr id="trFDRWSPwd" runat="server" align="left">
			<td><asp:Label runat="server" ID="Label13">Password:</asp:Label></td>
			<td align="left"><asp:TextBox ID="txtFDRWSPwd" CssClass="SmithTextboxRequired tLimitSize350" runat="server" Width="95%" /></td>
		</tr>
		<tr id="trPemFileWS" runat="server" align="left">
			<td>Pem File: </td>
			<td align="left">
				<asp:UpdatePanel runat="server" ID="UpdatePanel3" RenderMode="Inline">
					<Triggers>
						<asp:PostBackTrigger ControlID="btnSavePemFileWS" />
					</Triggers>
					<ContentTemplate>
						<asp:FileUpload runat="server" ID="fuPemFileWS" Width="100%" />
						<asp:Button runat="server" Text="Save Pem File" Width="110px" ID="btnSavePemFileWS" OnClick="btnSavePemFileWS_Click" />
					</ContentTemplate>
				</asp:UpdatePanel>
				&nbsp;&nbsp<asp:Label ID="lblPemMsgWS" runat="server" CssClass="SmithBlueMsg"/>
			</td>
		</tr>
		<tr id="trSageMID" runat="server" align="left">
			<td><asp:Label runat="server" ID="Label14" CssClass="SmithProdText" Text="MerchantID:"/></td>
			<td align="left"><asp:TextBox ID="txtSageMID"  runat="server" Width="100%" CssClass="tLimitSize350" /></td>
		</tr>
			<tr id="trSageKey" runat="server" align="left">
			<td><asp:Label runat="server" ID="Label15" CssClass="SmithProdText" Text="Merchant Key:"/></td>
			<td align="left"><asp:TextBox ID="txtSageKey"  runat="server" Width="100%" CssClass="tLimitSize350" /></td>
		</tr>
		<tr runat="server" id="trAuthNetHostedReceiptText" align="left">
			<td style="height: 25px">Receipt Link Text:</td>
			<td align="left"><asp:TextBox ID="txtReceiptLinkText" runat="server" Width="100%" CssClass="tLimitSize350" /></td>
		</tr>
		<tr><td><br /></td></tr>

    <tr align="left" runat="server" id="trAuthCIM1" visible="false">
		<td><dnn:Label ID="lblAuthCIM" runat="server" /></td>
		<td align="left">
			<asp:CheckBox ID="chkAuthCIM" runat="server" />
		</td>
	</tr>

    <tr><td><br /></td></tr>

    <tr align="left" runat="server" id="trAuthCIM2" visible="false">
		<td><dnn:Label ID="lblAuthCIMBGColor" runat="server" /></td>
		<td align="left">
            <asp:TextBox runat="server" ID="txtAuthCIMBGColor" Width="100%" CssClass="tLimitSize350"></asp:TextBox>
		</td>
	</tr>

    <tr><td><br /></td></tr>

	<tr align="left">
		<td><dnn:Label ID="lblTestMode" runat="server" /></td>
		<td align="left">
			<asp:CheckBox ID="chkTestMode" runat="server"  />
			<%--<asp:CheckBox ID="chkTestMode" runat="server" AutoPostBack="true" OnCheckedChanged="chkTestMode_CheckedChanged" />--%>
		</td>
	</tr>

	<tr align="left">
		<td><dnn:Label ID="lblAuthorizeOnly" runat="server"/></td>
		<td align="left"><asp:CheckBox ID="chkAuthOnly" runat="server" /></td>
	</tr>

	<tr>
		<td style="width: 30%;"><dnn:Label ID="lblDoNotSaveCreditCard" runat="server"/></td>
		<td><asp:CheckBox ID="chkDoNotSaveCC" runat="server" OnCheckedChanged="chkDoNotSaveCC_CheckedChanged" AutoPostBack="true" /></td>
	</tr>

	<tr>
		<td style="width: 30%;"><dnn:Label ID="lblUseGatewayRecurring" runat="server"/></td>
		<td><asp:CheckBox ID="chkUseGatewayRecurring" runat="server" /></td>
	</tr>

 </table>

 <table id="tblPayPalCheckoutOption" runat="server" cellspacing="0" cellpadding="0" class="sText" width="100%" border="0">
	 <tr><td colspan="2" class="SmithTitle" style="height: 25px">Payment Checkout Options</td></tr>
	 <tr><td></td></tr>
	 <tr>
		<td style="width:20%;"><dnn:Label ID="lblShwPyPlChkOptn" runat="server" /></td>
		<td><asp:CheckBox ID="chkShowPPCheckout" runat="server" AutoPostBack="true" OnCheckedChanged="chkShowPPCheckout_CheckedChanged" /></td>
	 </tr>

     <tr><td></td></tr>

     <tr runat="server" id="trHidePyPlBilling">
		<td style="width:20%;"><dnn:Label ID="lblHidePyPlBilling" runat="server" /></td>
		<td><asp:CheckBox ID="chkHidePyPlBilling" runat="server" /></td>
	 </tr>

	<tr runat="server" id="trShowPPMerchantEmail">
		<td>PayPal Merchant ID:</td>
		<td><asp:TextBox runat="Server" ID="txtShowPPMerchantEmail" width="95%" CssClass="tLimitSize250" MaxLength="100" /></td>
	</tr>
	<tr runat="server" id="trShowPPLogoURL">
		<td>PayPal Merchant Logo URL:</td>
		<td><asp:TextBox runat="Server" ID="txtShowPPLogoURL" width="95%" CssClass="tLimitSize350" MaxLength="100" /></td>
	</tr>
     <tr runat="server" id="trShowPPUsername">
		<td>PayPal API Username:</td>
		<td><asp:TextBox runat="Server" ID="txtShowPPUsername" width="95%" CssClass="tLimitSize250" MaxLength="100" /></td>
	</tr>
     <tr runat="server" id="trShowPPPassword">
		<td>PayPal API Password:</td>
		<td><asp:TextBox runat="Server" ID="txtShowPPPassword" width="95%" CssClass="tLimitSize250" MaxLength="100" /></td>
	</tr>
     <tr runat="server" id="trShowPPSignature">
		<td>PayPal API Signature:</td>
		<td><asp:TextBox runat="Server" ID="txtShowPPSignature" width="95%" CssClass="tLimitSize250" MaxLength="100" /></td>
	</tr>
     <tr runat="server" id="trShowPPNotificationUrl">
		<td>IPN:</td>
		<td><asp:Label runat="Server" ID="lblShowPPNotificationUrl" /></td>
	</tr>
	<tr>
		<td style="width:20%;"><dnn:Label ID="lblShowBillingOption" runat="server" /></td>
		<td><asp:CheckBox ID="chkShowBillingOption" runat="server" AutoPostBack="true" OnCheckedChanged="chkShowBillingOption_CheckedChanged" /></td>
	 </tr>

	  <tr runat="server" id="trPayInFullNow">
		<td style="width:20%;"><dnn:Label ID="lblPayInFullNow" runat="server" /></td>
		<td><asp:CheckBox ID="chkPayInFullNow" runat="server" /></td>
	 </tr>


	  <tr runat="server" id="trPayInFullDiscPct">
		<td><dnn:Label ID="lblPayInFullDiscPct" CssClass="SmithTextAlignLeft" runat="server" /></td>
		<td><asp:TextBox runat="Server" ID="txtPayInFullDiscPct" /></td>
	</tr>

	<tr runat="server" id="trPayInFullDiscDeadline">
		<td><dnn:Label ID="lblPayInFullDiscDeadline" CssClass="SmithTextAlignLeft" runat="server" /></td>
		<td>
			<asp:TextBox runat="server" ID="txtPayInFullDiscDeadline" ClientIDMode="Static" CssClass="scTxtBoxLimit250"></asp:TextBox>
				<script type="text/javascript">
					function bindDeadlineDate() {
						$('[id$="txtPayInFullDiscDeadline"]').datetimepicker({
							format: 'm/d/Y',
							timepicker: false
						});
					}

					$(document).ready(function () {
						Sys.WebForms.PageRequestManager.getInstance().add_endRequest(bindDeadlineDate);
						bindDeadlineDate();
					});
				</script>
		</td>
	</tr>

	 <tr>
		<td style="width:20%;"><dnn:Label ID="lblShowWallet" runat="server" /></td>
		<td><asp:CheckBox ID="chkShowWallet" runat="server" /></td>
	 </tr>
	  <tr>
		<td><dnn:Label ID="lblNoCheckout" runat="server" /></td>
		<td><asp:CheckBox runat="server" ID="chkNoCheckout" /></td>
	</tr>
	 <tr><td style="height: 25px">&nbsp;</td></tr>
 </table>

<table class="tftable">
	<tr>
		<th></th>
		<th>Payment Method</th>
		<th>Surcharge</th>
        <th>Accepted Types</th>
	</tr>
	<tr>
		<td><asp:CheckBox ID="chkCreditCard" runat="server" /></td>
		<td><dnn:Label ID="lblCrdtCrd" runat="server" /></td>
		 <td>
			<asp:TextBox ID="txtCreditCardSurcharge" runat="server" Width="100" />
			<asp:CompareValidator ID="cvCCSurcharge" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtCreditCardSurcharge" Operator="DataTypeCheck" Type="Double" Enabled="false"/>
		</td>
        <td>
            <asp:CheckBoxList runat="server" ID="cblAcceptedCreditCards" RepeatDirection="Horizontal">
                <asp:ListItem Value="Visa">
                    <span title="Visa (incl. VPay)" class="cc-image visa-image"></span>
                </asp:ListItem>
                <asp:ListItem Value="MasterCard">
                    <span title="MasterCard" class="cc-image mastercard-image"></span>
                </asp:ListItem>
                <asp:ListItem Value="Amex">
                    <span title="American Express" class="cc-image amex-image"></span>
                </asp:ListItem>
                <asp:ListItem Value="Discover">
                    <span title="Discover" class="cc-image discover-image"></span>
                </asp:ListItem>
                <asp:ListItem Value="DinnersClub">
                    <span title="Diners Club International" class="cc-image dinnersclub-image"></span>
                </asp:ListItem>
                <asp:ListItem Value="JCB">
                    <span title="JCB" class="cc-image jcb-image"></span>
                </asp:ListItem>
                <asp:ListItem Value="UnionPay">
                    <span title="UnionPay International" class="cc-image unionpay-image"></span>
                </asp:ListItem>
                <asp:ListItem Value="enRoute">
                    <span title="Diners Club enRoute" class="cc-image enroute-image"></span>
                </asp:ListItem>
            </asp:CheckBoxList>
            <asp:CustomValidator ID="cvAcceptedCreditCards" runat="server" ErrorMessage="Please at least one Credit Card type" ClientValidationFunction="validateAcceptedCreditCards" CssClass="SmithRequiredText" />
        </td>
	</tr>
	<tr>
		<td><asp:CheckBox ID="chkACHChecking" runat="server" /></td>
		<td><dnn:Label ID="lblEchk" runat="server" /></td>
		 <td>
			<asp:TextBox ID="txtACHCheckingSurcharge" runat="server" Width="100" />
			<asp:CompareValidator ID="cvCheckingSurcharge" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtACHCheckingSurcharge" Operator="DataTypeCheck" Type="Double" Enabled="false"/>
		</td>
        <td></td>
	</tr>
	<tr>
		<td><asp:CheckBox ID="chkACHSaving" runat="server" /></td>
		<td><dnn:Label ID="lblACH" runat="server" /></td>
		 <td>
			<asp:TextBox ID="txtACHSavingsSurcharge" runat="server" Width="100" />
			<asp:CompareValidator ID="cvSavingsSurcharge" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtACHSavingsSurcharge" Operator="DataTypeCheck" Type="Double" Enabled="false"/>
		</td>
        <td></td>
	</tr>
	<tr>
		 <td><asp:CheckBox ID="chkCheck" runat="server" /></td>
		<td><dnn:Label ID="lblCheck" runat="server" /></td>
		<td>
			<asp:TextBox ID="txtCheckSurcharge" runat="server" Width="100" />
			<asp:CompareValidator ID="cvCheckSurcharge" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtCheckSurcharge" Operator="DataTypeCheck" Type="Double" Enabled="false"/>
		</td>
        <td></td>
	</tr>
	<tr>
		 <td><asp:CheckBox ID="chkCash" runat="server" /></td>
		<td><dnn:Label ID="lblCash" runat="server" /></td>
		<td>
			<asp:TextBox ID="txtCashSurcharge" runat="server" Width="100" />
			<asp:CompareValidator ID="cvCashSurcharge" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtCashSurcharge" Operator="DataTypeCheck" Type="Double" Enabled="false"/>
		</td>
        <td></td>
	</tr>
	<tr>
		<td><asp:CheckBox ID="chkBillMeLater" runat="server" /></td>
		<td><dnn:Label ID="lblBillMeLater" runat="server" /></td>
		<td>
			<asp:TextBox ID="txtBillMeLaterSurcharge" runat="server" Width="100" />
			<asp:CompareValidator ID="cvBillMeLaterSurcharge" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtBillMeLaterSurcharge" Operator="DataTypeCheck" Type="Double" Enabled="false"/>
		</td>
        <td></td>
	</tr>
</table>



<table width="100%" border="0" runat="server" visible="false">
	<tr><td>&nbsp;</td></tr>
	<tr><td class="SmithTitle" colspan="2">Surcharge</td></tr>
	<tr><td></td></tr>
	<tr>
		<td colspan="2">
			<asp:RadioButtonList ID="rblSurchargeType" runat="server">  <%--onselectedindexchanged="rblSurchargeType_SelectedIndexChanged" AutoPostBack="true"--%>
				<asp:listitem id="optNoSurcharge" runat="server" value="NoSurcharge" Text="No Surcharge" Selected="True"/>
				<asp:listitem id="optShowSurchargeAmount" runat="server" value="ShowSurchargeAmount" Text="Show Surcharge Amount"/>
				<asp:listitem id="optShowSurchargePercent" runat="server" value="ShowSurchargePercent" Text="Show Surcharge Percent"/>
			</asp:RadioButtonList>
		</td>
	</tr>

	<tr><td></td></tr>

	<%--<tr id="trSurchargeAmount" runat="server" visible="false" >
		<td style="width:20%;"><dnn:Label ID="lblSrchrgAmt" runat="server"  /></td>
		<td>
			<asp:TextBox ID="txtSurchargeAmount" runat="server" Width="100" />&nbsp;&nbsp;
			<asp:CompareValidator ID="cvSurchargeAmount" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtSurchargeAmount" Operator="DataTypeCheck" Type="Double" Enabled="false"/><br />
			<asp:Label ID="Label11" runat="server" CssClass="SmithItalics" Text="(Enter an amount without currency symbol)"/>
		</td>
	</tr>

	  <tr id="trSurchargePercent" runat="server" visible="false" >
		<td style="width:20%;"><dnn:Label ID="lblSrchrgPrcnt" runat="server"  /></td>
		<td >
			<asp:TextBox ID="txtSurchargePercent" runat="server" Width="100" />&nbsp;&nbsp;
			<asp:CompareValidator ID="cvSurchargePercent" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtSurchargePercent" Operator="DataTypeCheck" Type="Double" Enabled="false"/><br />
			<asp:Label ID="Label2" runat="server" CssClass="SmithItalics" Text="(Enter a percent without percent sign)"/>
		</td>
	</tr>--%>
</table>

	</fieldset>


<%-- Coupons --%>

	<table id="tblCoupon" runat="server" visible="false">
		<tr runat="server" visible="false"><td class="SmithTitle" colspan="2">Coupon Setup</td></tr>
		<tr runat="server" visible="false">
			<td style="width:20%;"><dnn:Label ID="lblShowCoupon" runat="server" /></td>
			<td><asp:CheckBox ID="chkCoupon" runat="server" /></td>
		</tr>

		<tr runat="server" visible="false"><td><dnn:Label ID="lblShowPromotions" runat="server" /></td>
			<td><asp:CheckBox runat="server" ID="chkShowPromos" AutoPostBack="true" OnCheckedChanged="chkShowPromos_CheckedChanged"/></td></tr>

		<tr id="trPromoText" runat="server" visible="false">
			<td valign="middle"><dnn:Label ID="lblPromotionsText" runat="server" /></td>
			<td ><asp:TextBox runat="server" TextMode="multiLine" MaxLength="400" ID="txtPromoText" Rows="8" Columns="100" Width="100%"/></td>
		</tr>

		<tr id="trClub" runat="server" visible="false">
			<td><dnn:Label ID="lblShowClubCode" runat="server" /></td>
			<td ><asp:CheckBox runat="server" ID="chkShowClubCode" /></td>
		</tr>

		<tr id="trClub1" runat="server" visible="false">
			<td><dnn:Label ID="lblClubProfileField" runat="server" /></td>
			<td >
				<asp:DropDownList ID="ddlClubProfileField" runat="server" width="100%" CssClass="tLimitSize250">
					<asp:ListItem Value="0">-Select-</asp:ListItem>
				</asp:DropDownList>
			</td>
		</tr>

	</table>


 <%--Billing Section--%>

	<h2 id="BillingTerms" class="dnnFormSectionHead"><a href="#">Billing Terms</a></h2>
	<fieldset class="dnnClear">

	<%--<div style="width:200px; float:left;">
		<div><dnn:Label ID="lblShwBillTrms" runat="server"/></div>
		<div style="overflow:hidden;"><asp:CheckBox ID="chkShowBillingTerms" runat="server" /></div> --%>
		<%--<div><asp:CheckBox runat="server" ID="chkShowBillingTerms" AutoPostBack="true" OnCheckedChanged="chkShowBillingTerms_CheckedChanged"/></div>--%>
	<%--</div><br />--%>

<table width="100%" border="0" runat="server" visible="false">
	<tr>
		<td style="width:20%;"><dnn:Label ID="lblShwBillTrms" runat="server"/></td>
		<td><asp:CheckBox ID="chkShowBillingTerms" runat="server" /></td>
	 </tr>
	 <tr><td></td></tr>
	 <tr>
		<td><dnn:Label ID="lblBillTrms" runat="server" /></td>
		<td></td>
	 </tr>
	 <tr><td></td></tr>
</table>

<table width="100%" border="0">
	 <tr runat="server" id="trBillingTerms">
		<td>
			<%--<dnn:TextEditor ID="txtBillingTerms" runat="server" TextRenderMode="Raw" HtmlEncode="False" DefaultMode="Rich"  ChooseMode="True" ChooseRender="False"/>--%>
			<dnn:TextEditor ID="txtBillingTerms" runat="server" TextRenderMode="Raw" HtmlEncode="False" DefaultMode="Rich" Height="500" ChooseMode="True" ChooseRender="False" Width="100%"/>
		</td>
	</tr>
	<tr><td style="height: 15px">&nbsp;</td></tr>
</table>

	</fieldset>



<%-- Show/Hide Fields and Titles --%>

<%--<table width="100%" border="0" runat="server" visible="false">
	<tr><td class="SmithTitle" colspan="2">Hide Fields</td></tr>
	<tr><td class="SmithTitle" colspan="2">Section Titles</td></tr>
	<tr>
		<td><dnn:Label ID="lblShwCustTitle" runat="server"  /></td>
		<td><asp:CheckBox runat="server" ID ="chkShowCustomerTitle" /></td>
	</tr>

	<tr>
		<td><dnn:Label ID="lblShwAddTitle" runat="server"  /></td>
		<td><asp:CheckBox runat="server" ID ="chkShowAddressTitle" /></td>
	</tr>

	<tr>
		<td style="width:20%;"><dnn:Label ID="lblShwInfotitle" runat="server"  /></td>
		<td><asp:CheckBox runat="server" ID ="chkShowAdditionalInfoTitle" /></td>
	</tr>

	<tr>
		<td><dnn:Label ID="lblShwTpPgImg" runat="server"  /></td>
		<td><asp:CheckBox runat="server" ID ="chkShowTopImage" /></td>
	</tr>
</table>--%>


<%--Custom Listboxes--%>

<h2 id="CustomListBoxes" class="dnnFormSectionHead" runat="server" visible="false"><a href="#">Custom Listboxes</a></h2>
	<fieldset class="dnnClear" runat="server" visible="false">

<table width="100%" border="0">
	<tr><td class="SmithTitle" colspan="2">Show Custom ListBox</td></tr>
	<tr><td></td></tr>

	<tr>
		<td><dnn:Label ID="lblShwLstBx" runat="server"  /></td>
		<td ><asp:CheckBox runat="server" ID="chkShowPDLB" /></td>
	</tr>

	 <tr>
		<td style="width:20%;"><dnn:Label ID="lblLstBxLbl" runat="server"  /></td>
		<td><asp:TextBox runat="server" ID="txtPDLBLabel" MaxLength="200" width="95%" CssClass="tLimitSize250" /></td>
	</tr>
	<tr>
		<td ><dnn:Label ID="lblLstBxTxt" runat="server"  /></td>
		<td><asp:TextBox runat="server" TextMode="multiLine" MaxLength="400" ID="txtPDLBText" Rows="8" Columns="100" Width="100%"/></td>
	</tr>
</table>

	</fieldset>



<%--Confirm Section--%>

<h2 id="ConfirmationPage" class="dnnFormSectionHead"><a href="#">Confirmation Page (Before Payment)</a></h2>
	<fieldset class="dnnClear">

<table width="100%" border="0">

	<tr id="trShowCustomFields" runat="server" visible="false">
		<td><dnn:Label ID="lblShowCustomFieldsOnCheckout" runat="server"/></td>
		<td><asp:CheckBox runat="server" ID ="chkShowCustomFieldsCheckout" /></td>
   </tr>

	<%--<tr><td class="SmithTitle" colspan="2">Hide Confirmation Pages</td></tr>--%>

	<tr>
		<td><dnn:Label ID="lblHideConfirmPage" runat="server" /></td>
		<td><asp:CheckBox runat="server" ID="chkHideConfirmPage" /></td>
	</tr>
	<%--<tr>
		<td><dnn:Label ID="lblHdAddFields" runat="server"  /></td>
		<td><asp:CheckBox runat="server" ID="chkHideAddress" /></td>
	</tr>--%>
	<%--<tr>
		<td><asp:CheckBox runat="server" ID="chkHidePaymentSection" /></td>
		<td><dnn:Label ID="lblHidePaymentSection" runat="server" /></td>
	</tr>--%>
	<tr><td>&nbsp;</td></tr>
	<tr><td class="SmithTitle" colspan="2">Page Titles</td></tr>
	<tr><td></td></tr>
	<tr>
		<td><dnn:Label ID="lblConfirmPageTitle" runat="server"  /></td>
		<td><asp:TextBox runat="server" ID="txtConfirmPageTitle" width="95%" CssClass="tLimitSize350" /></td>
	</tr>
	<tr><td></td></tr>
   <tr>
		<td style="width:20%;"><dnn:Label ID="lblAdditionalInfoTitle" runat="server"  /></td>
		<td><asp:TextBox runat="server" ID="txtAdditionalInfoTitle" width="95%" CssClass="tLimitSize350" /></td>
	</tr>
	<tr><td>&nbsp;</td></tr>
	<tr><td class="SmithTitle" colspan="2">Custom List Box</td></tr>
	<tr><td></td></tr>
	<tr>
		<td><dnn:Label ID="lblShwLstbx2" runat="server"  /></td>
		<td ><asp:CheckBox runat="server" ID="chkShowConfLB" /></td>
	</tr>

	<tr>
		<td><dnn:Label ID="lblLstBxLbl2" runat="server"  /></td>
		<td><asp:TextBox runat="server" ID="txtConfLBLabel" MaxLength="200" width="95%" CssClass="tLimitSize250" /></td>
	</tr>
	<tr>
		<td ><dnn:Label ID="lblLstBxTxt2" runat="server"  /></td>
		<td><asp:TextBox runat="server" TextMode="multiLine" MaxLength="400" ID="txtConfLBText" Rows="8" Columns="100" width="95%"/></td>
	</tr>

	<tr style="height: 10"><td>&nbsp;</td></tr>

	<tr><td class="SmithTitle" colspan="2">Custom Check Box</td></tr>
	<tr><td></td></tr>
	<tr>
		<td><dnn:Label ID="lblShwChkBx2" runat="server"  /></td>
		<td><asp:CheckBox runat="server" ID="chkShowConfCB" /></td>
	</tr>

	 <tr>
		<td><dnn:Label ID="lblChkBxLbl2" runat="server"  /></td>
		<td><asp:TextBox runat="server" ID="txtConfCBLabel" MaxLength="200" width="95%" CssClass="tLimitSize250" /></td>
	</tr>

	<tr>
		<td><dnn:Label ID="lblChkBxRqrd" runat="server"  /></td>
		<td><asp:CheckBox runat="server" ID="chkConfCBRequired" /></td>
	</tr>
	 <tr><td style="height: 15">&nbsp;</td></tr>
</table>

	</fieldset>


<%--Confirm Status Section--%>

<h2 id="ConfirmationStatusPage" class="dnnFormSectionHead"><a href="#">Confirmation Status Page (After Payment)</a></h2>
	<fieldset class="dnnClear">

<table width="100%" border="0">
	<tr><td class="SmithTitle" colspan="2">Titles</td></tr>
	<tr><td></td></tr>
	<tr>
		<td><dnn:Label ID="lblConfirmStatusPageTitle" runat="server"  /></td>
		<td><asp:TextBox runat="server" ID="txtConfirmStatusPageTitle" width="95%" CssClass="tLimitSize350" /></td>
	</tr>
	<tr><td></td></tr>
   <tr>
		<td style="width:20%;"><dnn:Label ID="lblConfirmStatusAddlInfoTitle" runat="server"  /></td>
		<td><asp:TextBox runat="server" ID="txtConfirmStatusAddlInfoTitle" width="95%" CssClass="tLimitSize350" /></td>
	</tr>
	<tr><td></td></tr>
	<tr>
		<td><dnn:Label ID="lblSubmitMessage" runat="server"  /></td>
		<td><asp:TextBox runat="server" ID="txtSubmitMessage" width="95%" CssClass="tLimitSize350" /></td>
	</tr>
	<tr><td>&nbsp;</td></tr>
   <%-- <tr>
		<td>Successfull Payment Page:</td>
		<td colspan="2"><asp:DropDownList ID="ddlSuccessRedirect" runat="server" DataValueField="TabId" DataTextField="TabName" Width="200px"></asp:DropDownList></td>
	</tr>--%>


    <tr><td class="SmithTitle" colspan="2">Role Redirect URL</td></tr>
	<tr><td></td></tr>
	 <tr>
		<td><dnn:Label ID="lblRoleRedirect" runat="server"/></td>
		<td>
            <asp:DropDownList runat="server" ID="ddlRoleRedirect" AppendDataBoundItems="true">
                <asp:ListItem Value="0">-- Select --</asp:ListItem>
		    </asp:DropDownList>
		</td>
	</tr>

    <tr><td></td></tr>
	 <tr>
		<td><dnn:Label ID="lblRoleRedirectURL" runat="server"/></td>
		<td><asp:TextBox runat="Server" ID="txtRoleRedirectURL" width="95%" CssClass="tLimitSize350" /></td>
	</tr>

    <tr><td>&nbsp;</td></tr>
	<tr><td class="SmithTitle" colspan="2">Redirect URL</td></tr>
	<tr><td></td></tr>
	 <tr>
		<td><dnn:Label ID="lblSuccessRedirectURL" runat="server"/></td>
		<td><asp:TextBox runat="Server" ID="txtSuccessRedirectURL" width="95%" CssClass="tLimitSize350" /></td>
	</tr>
	<tr><td style="height: 15">&nbsp;</td></tr>
</table>

	</fieldset>



<%--DNN Profile Properties Section--%>

<h2 id="H6" class="dnnFormSectionHead"><a href="#">DNN Profile Properties</a></h2>
	<fieldset class="dnnClear">

	<table width="100%" border="0">
		<tr><td class="SmithTitle" colspan="2">DNN Profile Property #1</td></tr>
		<tr><td></td></tr>
		<tr>
			<td><dnn:Label ID="lblProfilePropDD1" runat="server" /></td>
			<td >
				<asp:DropDownList ID="ddlProfileProp1" runat="server" DataValueField="PropertyDefinitionID" DataTextField="PropertyName" AppendDataBoundItems="true" width="100%" CssClass="tLimitSize350">
					<asp:ListItem Value="0">-Select-</asp:ListItem>
				</asp:DropDownList>
			</td>
		</tr>

		<tr><td></td></tr>

		<tr>
			<td style="width:20%;"><dnn:Label ID="lblProfileProp1" runat="server"/></td>
			<td><asp:TextBox runat="Server" ID="txtProfileProp1" width="95%" CssClass="tLimitSize350" /></td>
		</tr>

		<tr><td></td></tr>
		<tr><td class="SmithTitle" colspan="2">DNN Profile Property #2</td></tr>
		<tr><td></td></tr>

		<tr>
			<td><dnn:Label ID="lblProfilePropDD2" runat="server" /></td>
			<td >
				<asp:DropDownList ID="ddlProfileProp2" runat="server" DataValueField="PropertyDefinitionID" DataTextField="PropertyName" AppendDataBoundItems="true" width="100%" CssClass="tLimitSize350">
					<asp:ListItem Value="0">-Select-</asp:ListItem>
				</asp:DropDownList>
			</td>
		</tr>

		<tr><td></td></tr>

		<tr>
			<td><dnn:Label ID="lblProfileProp2" runat="server"/></td>
			<td><asp:TextBox runat="Server" ID="txtProfileProp2" width="95%" CssClass="tLimitSize350" /></td>
		</tr>

		<tr><td></td></tr>
		<tr><td class="SmithTitle" colspan="2">DNN Profile Property #3</td></tr>
		<tr><td></td></tr>

		<tr>
			<td><dnn:Label ID="lblProfilePropDD3" runat="server" /></td>
			<td >
				<asp:DropDownList ID="ddlProfileProp3" runat="server" DataValueField="PropertyDefinitionID" DataTextField="PropertyName" AppendDataBoundItems="true" width="100%" CssClass="tLimitSize350">
					<asp:ListItem Value="0">-Select-</asp:ListItem>
				</asp:DropDownList>
			</td>
		</tr>

		<tr><td></td></tr>

		<tr>
			<td><dnn:Label ID="lblProfileProp3" runat="server"/></td>
			<td><asp:TextBox runat="Server" ID="txtProfileProp3" width="95%" CssClass="tLimitSize350" /></td>
		</tr>

		<tr><td></td></tr>
		<tr><td class="SmithTitle" colspan="2">DNN Profile Property #4</td></tr>
		<tr><td></td></tr>

		<tr>
			<td><dnn:Label ID="lblProfilePropDD4" runat="server" /></td>
			<td >
				<asp:DropDownList ID="ddlProfileProp4" runat="server" DataValueField="PropertyDefinitionID" DataTextField="PropertyName" AppendDataBoundItems="true" width="100%" CssClass="tLimitSize350">
					<asp:ListItem Value="0">-Select-</asp:ListItem>
				</asp:DropDownList>
			</td>
		</tr>

		<tr><td></td></tr>

		<tr>
			<td><dnn:Label ID="lblProfileProp4" runat="server"/></td>
			<td><asp:TextBox runat="Server" ID="txtProfileProp4" width="95%" CssClass="tLimitSize350" /></td>
		</tr>

		 <tr><td></td></tr>
	</table>

	</fieldset>


<%--Moderation Section--%>

	<h2 id="H1" class="dnnFormSectionHead"><a href="#">Moderation</a></h2>
	<fieldset class="dnnClear">
		<table width="100%" border="0">
			<tr>
				<td colspan="2">
					<asp:RadioButtonList ID="rblModerate" runat="server" CssClass="SmithProdText" DataValueField="optAuto" OnSelectedIndexChanged="rblModerate_SelectedIndexChanged" AutoPostBack="true" >
						<asp:listitem id="optNoModeration" runat="server" value="NoModeration" Text="No Moderation" Selected="True"/>
						<asp:listitem id="optModerateReg" runat="server" value="ModerateReg" Text="Moderate Registrations"/>
						<asp:listitem id="optModerateInvoices" runat="server" value="ModerateInvoices" Text="Moderate Invoices"/>
						<asp:listitem id="optModerateSN" runat="server" value="ModerateSN" Text="Moderate Serial Numbers"/>
						<asp:listitem id="optModerateRegAndSN" runat="server" value="ModerateRegAndSN" Text="Moderate Registrations and Serial Numbers"/>
					</asp:RadioButtonList>
				</td>
			</tr>
			<tr style="height: 10px;"><td></td></tr>
			<tr>
				<td style="width:25%; padding-right: 15px;"><dnn:Label ID="lblModerateSproc" runat="server" Visible="false" />&nbsp;</td>
				<td><asp:TextBox ID="txtModerateSproc" runat="server" Visible="false" width="95%" CssClass="tLimitSize350" /></td>
			</tr>
			<tr>
				<td style="width:25%; padding-right: 15px;"><dnn:Label ID="lblModerateSprocUpdate" runat="server" Visible="false" />&nbsp;</td>
				<td><asp:TextBox ID="txtModerateSprocUpdate" runat="server" Visible="false" width="95%" CssClass="tLimitSize350" /></td>
			</tr>
		</table>
	</fieldset>




<%-- Gift Card Integration (GAVA)--%>

<div style="display:none;">
<h2 id="H5" class="dnnFormSectionHead"><a href="#">Gift Card</a></h2>
	<fieldset class="dnnClear">

   <table width="100%" border="0">
		<tr>
			<td><dnn:Label ID="lblEnblGftCrd" runat="server" /></td>
			<td><asp:CheckBox ID="chkEnableGava" runat="server" AutoPostBack="true" OnCheckedChanged="chkEnableGava_CheckedChanged"/></td>
		</tr>
		<tr id="trGavaToken" runat="server">
			<td><dnn:Label ID="lblToken" runat="server" /></td>
			<td><asp:TextBox ID="txtGavaToken" Width="150px" runat="server" MaxLength="100" /></td>
		</tr>
		<tr id="trMembershipLength" runat="server">
			<td style="width:20%;"><dnn:Label ID="lblMembershipLength" runat="server" /></td>
			<td><asp:TextBox ID="txtMembershipLen" runat="server" MaxLength="4" width="80%" CssClass="tLimitSize75"/></td>
		</tr>
		<tr><td style="height: 15">&nbsp;</td></tr>
	</table>

	</fieldset>
</div>


<%--CRM Section--%>

	<%--<h2 id="H3" class="dnnFormSectionHead"><a href="#">CRM</a></h2>
	<fieldset class="dnnClear">
		 <table width="100%" border="0">
			<tr>
				<td style="width:20%; padding-right: 15px;"><dnn:Label ID="lblEnbleCRM" runat="server"  /></td>
				<td><asp:CheckBox runat="server" ID="chkEnableCRM" /></td>
			</tr>
			<tr><td></td></tr>
			<tr>
				<td><dnn:Label ID="lblCrmUrl" runat="server"  /></td>
				<td><asp:TextBox ID="txtCRMURL" runat="server" width="95%" CssClass="tLimitSize250" MaxLength="200"/></td>
			</tr>
			<tr><td></td></tr>
			<tr>
				<td><dnn:Label ID="lblUsrNme" runat="server"  /></td>
				<td><asp:TextBox ID="txtCRMUserName" runat="server" width="95%" CssClass="tLimitSize250" MaxLength="100"/></td>
			</tr>
			<tr><td></td></tr>
			<tr>
				<td><dnn:Label ID="lblPsswrd" runat="server"  /></td>
				<td><asp:TextBox ID="txtCRMPassword" runat="server" width="95%" CssClass="tLimitSize250" MaxLength="100"/></td>
			</tr>
			<tr><td style="height: 15px">&nbsp;</td></tr>
		</table>
	</fieldset>--%>


	<%--Zendesk Section--%>

	<h2 id="H8" class="dnnFormSectionHead"><a href="#">Integration</a></h2>
	<fieldset class="dnnClear">
		<table width="100%" border="0">
			<tr>
				<td style="width:20%; padding-right: 15px;"><dnn:Label ID="lblEnbleZendesk" runat="server"  /></td>
				<td><asp:CheckBox runat="server" ID="chkEnableZendesk" AutoPostBack="true" OnCheckedChanged="chkEnableZendesk_CheckedChanged" /></td>
			</tr>
			<tr runat="server" id="trZendeskBaseUrl" visible="false">
				<td><dnn:Label ID="lblZendeskBaseUrl" runat="server"  /></td>
				<td>
					<asp:TextBox ID="txtZendeskBaseUrl" runat="server" width="95%" CssClass="tLimitSize350" MaxLength="100"/>
					&nbsp;
					<asp:RequiredFieldValidator ID="rfvZendeskBaseUrl" runat="server" ControlToValidate="txtZendeskBaseUrl" Display="Dynamic" CssClass="SmithRequiredText" ErrorMessage="Required" />
				</td>
			</tr>
			<tr runat="server" id="trZendeskUsername" visible="false">
				<td><dnn:Label ID="lblZendeskUsername" runat="server"  /></td>
				<td>
					<asp:TextBox ID="txtZendeskUsername" runat="server" width="95%" CssClass="tLimitSize250" MaxLength="100"/>
					&nbsp;
					<asp:RequiredFieldValidator ID="rfvZendeskUsername" runat="server" ControlToValidate="txtZendeskUsername" Display="Dynamic" CssClass="SmithRequiredText" ErrorMessage="Required" />
				</td>
			</tr>
			<tr runat="server" id="trZendeskApiToken" visible="false">
				<td><dnn:Label ID="lblZendeskApiToken" runat="server"  /></td>
				<td>
					<asp:TextBox ID="txtZendeskApiToken" runat="server" width="95%" CssClass="tLimitSize350" MaxLength="100"/>
					&nbsp;
					<asp:RequiredFieldValidator ID="rfvZendeskApiToken" runat="server" ControlToValidate="txtZendeskApiToken" Display="Dynamic" CssClass="SmithRequiredText" ErrorMessage="Required" />
				</td>
			</tr>
		</table>
        <br />
        <table runat="server" id="tblOnCheckoutComplete" width="100%" border="0">

        </table>
	</fieldset>



 </div>

 </ContentTemplate></asp:UpdatePanel>


 <ul class="dnnActions dnnClear">
	<li><asp:LinkButton ID="btnSave" runat="server" OnClick="btnSave_Click" CssClass="dnnPrimaryAction" Text="Save Settings" /></li>
	<li><asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CssClass="dnnSecondaryAction" Text="Return" CausesValidation="false" /></li>
</ul>
<br />

<asp:Label ID="lblMsg" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Settings Saved Successfully." Visible="false" />
<span class="SmithRequiredText">*</span>&nbsp;&nbsp;<i>Indicates required field</i>